/* language.h
 *
 *
 * $Author: mtm $
 * $Date: 1995/05/09 01:27:15 $
 * $Id: language.h,v 1.1 1995/05/09 01:27:15 mtm Exp mtm $
 *
 * Mike Macgirvin <Mike_Macgirvin@CAMIS.Stanford.EDU>
 *
 * Copyright 1995 by The Leland Stanford Junior University.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notices appear in all copies and that both the
 * above copyright notices and this permission notice appear in supporting
 * documentation, and that the name of The Leland Stanford Junior University 
 * not be used in advertising or publicity pertaining to distribution of the 
 * software without specific, written prior permission.  This software is made 
 * available "as is", and THE LELAND STANFORD JUNIOR UNIVERSITY DISCLAIMS ALL 
 * WARRANTIES, EXPRESS OR IMPLIED, WITH REGARD TO THIS SOFTWARE, INCLUDING 
 * WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
 * FOR A PARTICULAR PURPOSE, AND IN NO EVENT SHALL THE LELAND STANFORD JUNIOR 
 * UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR 
 * ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER 
 * IN AN ACTION OF CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, 
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS 
 * SOFTWARE.
 *
 */

/*
 * $Log: language.h,v $
 * Revision 1.1  1995/05/09  01:27:15  mtm
 * Initial revision
 *
 * 
 */

#define DESTROY_MAILBOX               " Destroy Mailbox Contents? "
#define NOTEBOOK                      "Notebook"
#define VIEW_WINDOW                   "Mailbox"
#define READ_WINDOW                   "Read"
#define COMPOSE_WINDOW                "Compose"
#define ALL_VIEW_NAME                 "ALL"
#define BUCKET_VIEW_NAME              "UNFILTERED"
#define UPDATING_NEWSRC               "Updating NEWSRC file."
#define OPENING_MAILBOX               "Opening mailbox '%s'."
#define OPEN_FAILED                   "Mailbox open failed."
#define CLOSINGEVERYTHING             "Closing all mailboxes."
#define CLOSING_MAILBOX_MSG           "Closing mailbox '%s'."
#define LOST_CONNECTION               "Connection to server '%s' broken."
#define NOT_LOADED_MSG                "<Message Not Yet Loaded>"
#define LOADING_MSG                   "Loading Mailbox"
#define BACKGROUNDING_MSG             "Background fetching %lu messages."
#define BACKGROUND_DONE_MSG           "Background fetch complete."
#define BACKGROUND_STOP_MSG           "Background fetch paused."
#define BACKGROUND_CONT_MSG           "Background fetch resumed."
#define NOTESAVESUCCESS               "Notebook Saved."
#define NOTESAVEFAIL                  "Notebook Save Failed."
#define ADDRBOOKTITLE                 "Address Book"
#define ADDRBOOKNAME                  "Name   :"
#define ADDRBOOKADDR                  "Address:"
#define ADDRBOOKCOMM                  "Comment:"
#define AUTHSHELLTITLE                "Authenticate"
#define MAILBOXESHELPTITLE            "HELP - Mailbox Selection"
#define AUTHHELPTITLE                 "HELP - Authentication"
#define ADDRBOOKHELPTITLE             "HELP - Address Book"
#define BUTTONHELPTITLE               "HELP - Button Editor"
#define MAINHELPTITLE                 "HELP - ML Main Window"
#define SPELLHELPTITLE                "HELP - Spelling Corrector"
#define NOTEHELPTITLE                 "HELP - Note Book"
#define COMPOSEHELPTITLE              "HELP - Composing Messages"
#define COMPOSELISTHELPTITLE          "HELP - Compose Window Selection"
#define COMPOSEEDITHELPTITLE          "HELP - Compose Edit Tool"
#define READWINDOWHELPTITLE           "HELP - Read Window"
#define READLISTHELPTITLE             "HELP - Read Window Selection"
#define HELPHELPTITLE                 "HELP - General Text Window"
#define EDFILTERHELPTITLE             "HELP - Filters"
#define EDFILTWINHELPTITLE            "HELP - Filter Edit Window"
#define APPENDHELPTITLE               "HELP - File Options"
#define FILEHELPTITLE                 "HELP - File Selection"
#define VIEWACTIONHELPTITLE           "HELP - Defining Actions"
#define VIEWWINDOWHELPTITLE           "HELP - View Window"
#define VIEWLISTHELPTITLE             "HELP - Selecting Mailboxes/Views"
#define KEYWORDHELPTITLE              "HELP - Setting & Clearing Keywords"
#define KEYBOARDHELPTITLE             "HELP - Using the Keyboard & Mouse"
#define VERSIONHELPTITLE              "HELP - On Program"
#define MIMEATTACHHELPTITLE           "HELP - Attachment Types"
#define PGPUSERHELPTITLE              "HELP - PGP Address Book"
#define MIMECOMPOSEHELPTITLE          "HELP - Compose Attachment"
#define PREFSHELPTITLE                "HELP - Preferences"
#define PREFS2HELPTITLE               "HELP - Option Settings"
#define INPUTSTRINGHELPTITLE          "HELP - Text Prompt Window"
#define MIMEINFOHELPTITLE             "HELP - Configuring Attachments"
#define RESOURCESHELPTITLE            "HELP - Configuring X Resources"
#define SEARCHREPHELPTITLE            "HELP - Search and Replace"
#define INTLHELPTITLE                 "HELP - International Features"
#define NEWMAILBOXNAME                "New Mailbox Name"
#define TRUESTR                       "true"
#define FALSESTR                      "false"
#define INPUTCOMMANDSTR               "Command to Execute"
#define INPUTALIASSTR                 "Name to use for Address Book"
#define MIMEDESCRIPTION               "Description  :"
#define MIMETYPESUB                   "Type/Subtype :"
#define SPELLWINTITLE                 "Spelling Checker"
#define SPELLWORD                     "Unknown Word :"
#define SPELLREPLACE                  "Replacement  :"
#define EDFILTER_NAME                 "Name   :"
#define EDFILTER_ACTION               "Action :"
#define EDFILTER_FILTER               "Filter Definition:"
#define FILTER_EDIT_TITLE             "Filter Edit"
#define EDFILTER_DUP_WARN             "Duplicate filter names not allowed."
#define EDFILTER_NOT_SAVED_WARN       "Filter modified but not saved."
#define SAVEFILESTRING                "Save to File:"
#define READFILESTRING                "Read From File:"
#define DIRECTORYLABEL                "Directory :"
#define PATTERNLABEL                  "Filter    :"
#define FILENAMELABEL                 "Filename  :"
#define DIRECTORIESLABEL              "Directories"
#define FILESLABEL                    "Files"
#define NOTREGULARFILE                "Selected file is not a regular file."
#define APPENDTEXTMESSAGE             "File exists. Please choose option."
#define DIRWARN1   "Can't access directory. Resetting to home directory."
#define DIRWARN2   "Can't access home directory. Operation cancelled."
#define UPDATING_STOP_FILE            "Updating spell check stoplist."
#define EMPTYMULTIWARN   "Attempt to send empty multipart. (Fixed.)"
#define EXECUTING_PGP_MSG             "Executing PGP command:"
#define PGP_FAILED                    "PGP command failed."
#define EXECUTING_SPELL               "Executing Spell Checker '%s'."
#define SPELL_OUT_FAILED              "Could not open spell output file."
#define N_CORRECTIONS_FOUND           "%d corrections found."
#define UNSUPPORTED_URL_COMMAND       "Unsupported URL command (needs '%s'."
#define NO_URL_COMMAND                "No URL command defined."
#define SHOW_URL                      "Show URL"
#define EXECUTING_URL                 "Executing URL command '%s'."
#define LOGICALVIEWS                  "Views"
#define PROMPT_CHARSET                "New Character Set"
#define NEW_MESSAGE_STR               "New Message"
#define REPLYSENDERSTR                "Reply To Sender"
#define REPLYALLSTR                   "Reply To All"
#define FORWARDSTR                    "Forward Message"
#define FORWARDATTACHSTR              "Forward Attached Message"
#define REMAILSTR                     "Remail Message"
#define ALLMAILBOXES                  "All Mailboxes"
#define SUBMAILBOXES                  "Subscribed Mailboxes"
#define PREFSAVE_OK                   "Preferences saved."
#define INITSAVE_OK                   "Mailbox init file saved."
#define INVALID_MAILPARAMS            "Invalid Mail parameters."
#define PROMPT_PARAMS                 "Parameters"
#define SEARCH_FILT_STR               "Filter Definition"
#define NO_DEFAULTS  "Out of date or missing application defaults file."
#define WRONG_DEFAULTS "Installed application defaults are out of date."
#define DEFAULTS_VERSION_MSG "Expected version '%s', found version '%s'."
#define FALLBACK_FOUND1 "Defaults were built into program."
#define FALLBACK_FOUND2 "Considering removing or updating defaults file."
#define PREFSAVE_ERROR       "Preferences could not be saved!"
#define INITSAVE_ERROR       "Mailbox init file could not be saved!"
#define MIME_LOAD_ERR_FMT    "Could not load MIME types file '%s'."
#define SEND8DENIED          "Mailer doesn't appear to support 8-bit text."
#define ENCODING_WARN        "Encoding message for transport."
#define BEGIN_FORWARD              "\n--- Begin Forwarded Message ---\n"
#define END_FORWARD                "\n--- End Forwarded Message ---\n"
#define NOSELECTEDMAILBOX    "No Starting Mailbox Selected."
#define AUTHLABELSTR        "Authenticate To: %s"
#define NORMAL_REPSTR       " (Normal)"
#define REVERS_REPSTR       " (Reverse)"
#define SENDER_REPSTR       " (Sender)"
#define SUBJEC_REPSTR       " (Subject)"
#define NORMAL_PREFSTR       "normal"
#define REVERS_PREFSTR       "reverse"
#define SENDER_PREFSTR       "sender"
#define SUBJEC_PREFSTR       "subject"
#define NEWS_TITLE           "(NEWS) "
#define VIEWINGRFC822       " [RFC822]"
#define RICHTEXTNOTAG       "Enriched text closing tag not found."
#define LOADING_FILTERS     "Loading Default Filters."
#define ATTACHING_FILTERS   "Attaching Session Filters."
#define CANNOT_FIND_PARENT  "Internal error. Cannot locate parent view."
#define PRUNING_NEWSGROUP   "Pruning newsgroup to remove old messages."
#define DETACHFROMSESSION   "Detach filter from session?"
#define NEW_MESSAGE_MSG     "'%s':\nFrom:    %s\nSubject: %s"

/* Compose messages */

#define NNTP_OPEN_ERR        "NNTP open failed."
#define NNTP_SEND_ERR        "NNTP send failed."
#define SMTP_OPEN_ERR        "SMTP open failed."
#define SMTP_SEND_ERR        "SMTP send failed."
#define FTP_FETCHING         "Fetching external message via FTP."
#define FTP_ERR              "FTP transfer failed."
#define FTP_OK               "FTP: %lu bytes written to '%s'."
#define MAILSENT             "Mail sent."
#define NEWSSENT             "News sent."
#define MAIL_FETCHING        "Fetching external message from mail server '%s'."
#define MAIL_FETCH_FAILED    "Failed send of external message fetch."
#define FAKEPART             "EMPTY ATTACHMENT"
#define ATTACHMENTS_STR      "Attachments:"
#define MULTI_NOT_EMPTY      "Cannot delete multipart. It is not empty."
#define ML_DRAFT_HEADER      "#-- ML SAVED DRAFT --#"
#define NOT_A_DRAFT          "File does not appear to be a draft."
#define CANNOT_READ_FILE     "Unable to open file '%s'."
#define CANNOT_WRITE_FILE    "Unable to open '%s' for writing."
#define WAS_EXPUNGED     "Message doesn't seem to exist. Unable to attach."
#define APPEND_FAIL         "Message log failed."
#define DEFAULT_REPLY_SUBJECT "Re: (No Subject)"

#define TITLE_TEXT           "Title:"
#define FROM_TEXT            "From:"
#define TO_TEXT              "To:"
#define NG_TEXT              "Newsgroups:"
#define SUBJECT_TEXT         "Subject:"
#define CC_TEXT              "Cc:"
#define BCC_TEXT             "Bcc:"
#define INREP_TEXT           "In-Reply-To:"
#define MSGID_TEXT           "Message-Id:"
#define DATE_TEXT            "Date:"

#define FILE_GO_HOME         "**Home**"
#define FILE_GO_UP           "**Up One Level**"

#define NO_SUCH_ACTION       "Unimplemented action: %s"
#define COPY_OK              "Copy successful."
#define COPY_FAILED          "Copy failed."
#define MOVE_OK              "Move successful."
#define MOVE_FAILED          "Move failed."
#define SAVE_OK              "Save successful."
#define SAVE_FAILED          "Save failed."
#define PIPE_FAILED          "Sub-process failed."
#define PRINT_OK             "Print successful."
#define PRINT_FAILED         "Print failed."
#define EXECING              "Executing: %s"
#define ILLEGAL_WRAP_LEN     "Illegal wrap length."
#define NO_PRINT_COMMAND     "No Print Command defined."
/* Authentication messages */
#define UNKNOWNSTR            "Unknown"



