/* addressbook.c */
#ifdef __STDC__
extern void create_address_book_window(Widget w)
;
#else
extern void create_address_book_window();
#endif
#ifdef __STDC__
extern void address_close_window(Widget w,Address_Book *address_book,XtPointer xp)
;
#else
extern void address_close_window();
#endif
#ifdef __STDC__
extern void address_destroy_window(Widget w,Address_Book *address_book,XtPointer xp)
;
#else
extern void address_destroy_window();
#endif
#ifdef __STDC__
extern void address_book_select(Widget w, Address_Book *address_book,
			 XmListCallbackStruct *cb)
;
#else
extern void address_book_select();
#endif
#ifdef __STDC__
extern void address_book_context_switch(Address_Book *address_book,
				 Address_Book_Info *old,
				 Address_Book_Info *new)
;
#else
extern void address_book_context_switch();
#endif
#ifdef __STDC__
extern void stuff_address_book(Address_Book *address_book)
;
#else
extern void stuff_address_book();
#endif
#ifdef __STDC__
extern void address_search(Widget w, Address_Book *address_book, XtPointer xp)
;
#else
extern void address_search();
#endif
#ifdef __STDC__
extern Boolean address_searchit(unsigned char *str,unsigned char *pat)
;
#else
extern Boolean address_searchit();
#endif
#ifdef __STDC__
extern void address_remove(Widget w, Address_Book *address_book, XtPointer xp)
;
#else
extern void address_remove();
#endif
#ifdef __STDC__
extern void address_add(Widget w, Address_Book *address_book, XtPointer xp)
;
#else
extern void address_add();
#endif
#ifdef __STDC__
extern void address_modify(Widget w, Address_Book *address_book, XtPointer xp)
;
#else
extern void address_modify();
#endif
#ifdef __STDC__
extern void address_reset(Widget w, Address_Book *address_book, XtPointer xp)
;
#else
extern void address_reset();
#endif
#ifdef __STDC__
extern int address_compare(const void *adr1, const void *adr2)
;
#else
extern int address_compare();
#endif
#ifdef __STDC__
extern void address_sort(Address_Book *address_book)
;
#else
extern void address_sort();
#endif
#ifdef __STDC__
extern void address_help(Widget w, Address_Book *address_book, XtPointer xp)
;
#else
extern void address_help();
#endif
/* addressfncs.c */
#ifdef __STDC__
extern ADDRESS *text_to_address(char *text,char *host)
;
#else
extern ADDRESS *text_to_address();
#endif
#ifdef __STDC__
extern ADDRESS *copy_address(ADDRESS *src_address)
;
#else
extern ADDRESS *copy_address();
#endif
#ifdef __STDC__
extern void local_make_addr_str(ADDRESS *adr, char *obuf)
;
#else
extern void local_make_addr_str();
#endif
/* authenticate.c */
#ifdef __STDC__
extern Remote_Auth * login(Widget w, char *where, char *type, 
		    char *defuser, char *defpass)
;
#else
extern Remote_Auth * login();
#endif
#ifdef __STDC__
extern void login_done(Widget w, Remote_Auth *remote_auth, XtPointer xp)
;
#else
extern void login_done();
#endif
#ifdef __STDC__
extern void auth_refresh(Remote_Auth *remote_auth, XtIntervalId *id)
;
#else
extern void auth_refresh();
#endif
#ifdef __STDC__
extern void auth_destroy(Widget w, Remote_Auth *remote_auth, XtPointer xp)
;
#else
extern void auth_destroy();
#endif
#ifdef __STDC__
extern void login_abort(Widget w, Remote_Auth *remote_auth, XtPointer xp)
;
#else
extern void login_abort();
#endif
#ifdef __STDC__
extern void login_help(Widget w, Remote_Auth *remote_auth, XtPointer xp)
;
#else
extern void login_help();
#endif
/* btntable.c */
#ifdef __STDC__
extern void create_btn_window(void)
;
#else
extern void create_btn_window();
#endif
#ifdef __STDC__
extern void btn_close_window(Widget w,Btn *btn,XtPointer xp)
;
#else
extern void btn_close_window();
#endif
#ifdef __STDC__
extern void btn_destroy_window(Widget w,Btn *btn,XtPointer xp)
;
#else
extern void btn_destroy_window();
#endif
#ifdef __STDC__
extern void stuff_btn(Btn *btn)
;
#else
extern void stuff_btn();
#endif
#ifdef __STDC__
extern char *btn_lookup_func(Button_Table *button_table, int nitems, void *func)
;
#else
extern char *btn_lookup_func();
#endif
#ifdef __STDC__
extern Button_Table *btn_lookup_desc(Button_Table *button_table, int nitems, char *desc)
;
#else
extern Button_Table *btn_lookup_desc();
#endif
#ifdef __STDC__
extern void btn_select1(Widget w, Btn *btn, XmListCallbackStruct *cb)
;
#else
extern void btn_select1();
#endif
#ifdef __STDC__
extern void btn_select2(Widget w, Btn *btn, XmListCallbackStruct *cb)
;
#else
extern void btn_select2();
#endif
#ifdef __STDC__
extern void btn_moveup(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_moveup();
#endif
#ifdef __STDC__
extern void btn_movedown(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_movedown();
#endif
#ifdef __STDC__
extern void btn_add(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_add();
#endif
#ifdef __STDC__
extern void btn_modify(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_modify();
#endif
#ifdef __STDC__
extern void btn_remove(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_remove();
#endif
#ifdef __STDC__
extern void btn_reset(Btn *btn)
;
#else
extern void btn_reset();
#endif
#ifdef __STDC__
extern void btn_apply(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_apply();
#endif
#ifdef __STDC__
extern void btn_set_viewwin(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_set_viewwin();
#endif
#ifdef __STDC__
extern void btn_set_readwin(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_set_readwin();
#endif
#ifdef __STDC__
extern void btn_set_composewin(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_set_composewin();
#endif
#ifdef __STDC__
extern void btn_set_mailboxwin(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_set_mailboxwin();
#endif
#ifdef __STDC__
extern void btn_help(Widget w, Btn *btn, XtPointer xp)
;
#else
extern void btn_help();
#endif
/* buttons.c */
#ifdef __STDC__
extern void flush_windows(Widget w, XtPointer xp, XtPointer cb)
;
#else
extern void flush_windows();
#endif
#ifdef __STDC__
extern void setup_default_buttons(Button_Menu **base, Button_Menu *button_menu,
			   int size)
;
#else
extern void setup_default_buttons();
#endif
#ifdef __STDC__
extern void make_pbuttons(Widget rowcol, Button_Menu *button_menu, 
		   unsigned long state, XtPointer callback)
;
#else
extern void make_pbuttons();
#endif
#ifdef __STDC__
extern void create_buttons(char *name, Widget menu, 
		    Menu *menulist, int size,
		    unsigned long state, XtPointer callback, int level)
;
#else
extern void create_buttons();
#endif
#ifdef __STDC__
extern void check_buttons(Menu *menulist, int size, 
		   Button_Menu *button_menu, unsigned long state)
;
#else
extern void check_buttons();
#endif
/* compose.c */
#ifdef __STDC__
extern int compose_number_buttons(void)
;
#else
extern int compose_number_buttons();
#endif
#ifdef __STDC__
extern Button_Table *compose_get_table(void)
;
#else
extern Button_Table *compose_get_table();
#endif
#ifdef __STDC__
extern void compose_default_buttons(void)
;
#else
extern void compose_default_buttons();
#endif
#ifdef __STDC__
extern void compose_reset_buttons(void)
;
#else
extern void compose_reset_buttons();
#endif
#ifdef __STDC__
extern Compose_Info *compose(char *title, int behaviour, 
		      Compose_Type type, Read_Info *read_info, 
		      Lview *lview, Message *message)
;
#else
extern Compose_Info *compose();
#endif
#ifdef __STDC__
extern void load_compose_info(Compose_Info *compose_info, Compose_Type type,
		       Read_Info *read_info)
;
#else
extern void load_compose_info();
#endif
#ifdef __STDC__
extern void load_compose_info_message(Compose_Info *compose_info, Compose_Type type,
			       Lview *lview, Message *message)
;
#else
extern void load_compose_info_message();
#endif
#ifdef __STDC__
extern void get_multi_forward_info(Lview *lview, Compose_Info *compose_info)
;
#else
extern void get_multi_forward_info();
#endif
#ifdef __STDC__
extern Compose_Info *new_compose_info(void)
;
#else
extern Compose_Info *new_compose_info();
#endif
#ifdef __STDC__
extern void compose_destroy_current(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_destroy_current();
#endif
#ifdef __STDC__
extern void free_compose_info(Compose_Info *compose_info)
;
#else
extern void free_compose_info();
#endif
#ifdef __STDC__
extern void compose_context_switch(Compose *compose, 
			    Compose_Info *old, Compose_Info *new)
;
#else
extern void compose_context_switch();
#endif
#ifdef __STDC__
extern void compose_help(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_help();
#endif
#ifdef __STDC__
extern void compose_keep_open(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_keep_open();
#endif
#ifdef __STDC__
extern void compose_next(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_next();
#endif
#ifdef __STDC__
extern void compose_prev(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_prev();
#endif
#ifdef __STDC__
extern void compose_close_window(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_close_window();
#endif
#ifdef __STDC__
extern void compose_destroy(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_destroy();
#endif
#ifdef __STDC__
extern void compose_eight(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_eight();
#endif
#ifdef __STDC__
extern void compose_seven(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_seven();
#endif
#ifdef __STDC__
extern void compose_watch_delivery(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_watch_delivery();
#endif
#ifdef __STDC__
extern void compose_toggle_news(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_toggle_news();
#endif
#ifdef __STDC__
extern void compose_toggle_cc(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_toggle_cc();
#endif
#ifdef __STDC__
extern char *iso_encode_subject(char *s)
;
#else
extern char *iso_encode_subject();
#endif
#ifdef __STDC__
extern void iso_encode_address(ADDRESS *ad)
;
#else
extern void iso_encode_address();
#endif
#ifdef __STDC__
extern char *qhexstr(int c)
;
#else
extern char *qhexstr();
#endif
#ifdef __STDC__
extern struct mail_body_parameter *copy_params(struct mail_body_parameter *src)
;
#else
extern struct mail_body_parameter *copy_params();
#endif
#ifdef __STDC__
extern void send_message(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void send_message();
#endif
#ifdef __STDC__
extern void fix_empty_attachments(Compose *compose)
;
#else
extern void fix_empty_attachments();
#endif
#ifdef __STDC__
extern void log_message(Compose *compose, BODY *body, ENVELOPE *envelope)
;
#else
extern void log_message();
#endif
#ifdef __STDC__
extern long ml_file_soutr(void *stream, char *s)
;
#else
extern long ml_file_soutr();
#endif
#ifdef __STDC__
extern void log_short_message(Compose *compose, char *mailboxname,
		       BODY *body, ENVELOPE *envelope)
;
#else
extern void log_short_message();
#endif
#ifdef __STDC__
extern char *param_to_str(PARAMETER *parameter)
;
#else
extern char *param_to_str();
#endif
#ifdef __STDC__
extern PARAMETER *str_to_param(char *str)
;
#else
extern PARAMETER *str_to_param();
#endif
#ifdef __STDC__
extern void compose_delete_part(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_delete_part();
#endif
#ifdef __STDC__
extern void select_attach(Widget w, Compose *compose, XmListCallbackStruct *xp)
;
#else
extern void select_attach();
#endif
#ifdef __STDC__
extern void double_click_attach(Widget w, Compose *compose, XmListCallbackStruct *xp)
;
#else
extern void double_click_attach();
#endif
#ifdef __STDC__
extern void make_attachment_list(Compose *compose)
;
#else
extern void make_attachment_list();
#endif
#ifdef __STDC__
extern void destroy_part_list(Part_List *part_list)
;
#else
extern void destroy_part_list();
#endif
#ifdef __STDC__
extern void add_attach_strings(Widget w, Compose *compose, PART *part, int level)
;
#else
extern void add_attach_strings();
#endif
#ifdef __STDC__
extern void create_compose_window(Compose *compose,int behaviour, int ccbehaviour)
;
#else
extern void create_compose_window();
#endif
#ifdef __STDC__
extern void compose_insert_file(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_insert_file();
#endif
#ifdef __STDC__
extern void compose_wrap_off(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_wrap_off();
#endif
#ifdef __STDC__
extern void compose_wrap_on(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_wrap_on();
#endif
#ifdef __STDC__
extern void compose_send_autograph(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_send_autograph();
#endif
#ifdef __STDC__
extern void compose_attach_file(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_attach_file();
#endif
#ifdef __STDC__
extern void compose_attach_multi(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_attach_multi();
#endif
#ifdef __STDC__
extern void compose_createattach(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_createattach();
#endif
#ifdef __STDC__
extern void compose_window_list(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_window_list();
#endif
#ifdef __STDC__
extern void compose_list_select(Widget w, Compose *compose, XmListCallbackStruct *xp)
;
#else
extern void compose_list_select();
#endif
#ifdef __STDC__
extern void compose_list_double(Widget w, Compose *compose, XmListCallbackStruct *xp)
;
#else
extern void compose_list_double();
#endif
#ifdef __STDC__
extern void compose_list_cancel(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_list_cancel();
#endif
#ifdef __STDC__
extern void compose_list_destroy(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_list_destroy();
#endif
#ifdef __STDC__
extern void compose_list_help(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_list_help();
#endif
#ifdef __STDC__
extern void stuff_compose_window_list(Compose *compose, Boolean update)
;
#else
extern void stuff_compose_window_list();
#endif
#ifdef __STDC__
extern void complete_address(Widget w, XtPointer xp)
;
#else
extern void complete_address();
#endif
#ifdef __STDC__
extern char *lookup_address(char *str)
;
#else
extern char *lookup_address();
#endif
#ifdef __STDC__
extern char *address_popup(char *str)
;
#else
extern char *address_popup();
#endif
#ifdef __STDC__
extern void generate_subject(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void generate_subject();
#endif
#ifdef __STDC__
extern void compose_pgp_sign(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_pgp_sign();
#endif
#ifdef __STDC__
extern void compose_pgp_cryp(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_pgp_cryp();
#endif
#ifdef __STDC__
extern void compose_pgp_both(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_pgp_both();
#endif
#ifdef __STDC__
extern void pgp_encode(Widget w, Compose *compose, int method)
;
#else
extern void pgp_encode();
#endif
#ifdef __STDC__
extern void compose_spell(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_spell();
#endif
#ifdef __STDC__
extern void link_attachment(Compose *compose, PART *part, BODY *body,
		     Binary_Buffer *binary_buffer)
;
#else
extern void link_attachment();
#endif
#ifdef __STDC__
extern void compose_parameters(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_parameters();
#endif
#ifdef __STDC__
extern unsigned long compose_field_approx_size(char *prefix, char *str, 
					unsigned long len)
;
#else
extern unsigned long compose_field_approx_size();
#endif
#ifdef __STDC__
extern void compose_print(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_print();
#endif
#ifdef __STDC__
extern void compose_save_draft(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_save_draft();
#endif
#ifdef __STDC__
extern void compose_load_draft(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_load_draft();
#endif
#ifdef __STDC__
extern void compose_unwrap(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_unwrap();
#endif
#ifdef __STDC__
extern void compose_strip_prefix(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_strip_prefix();
#endif
#ifdef __STDC__
extern void compose_rewrap(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_rewrap();
#endif
#ifdef __STDC__
extern void compose_add_prefix(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_add_prefix();
#endif
#ifdef __STDC__
extern void compose_reply_insert(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_reply_insert();
#endif
#ifdef __STDC__
extern void compose_custom_insert(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_custom_insert();
#endif
#ifdef __STDC__
extern void compose_edit_copy(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_edit_copy();
#endif
#ifdef __STDC__
extern void compose_edit_paste(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_edit_paste();
#endif
#ifdef __STDC__
extern void compose_edit_undo(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_edit_undo();
#endif
#ifdef __STDC__
extern void compose_edit_destroy(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_edit_destroy();
#endif
#ifdef __STDC__
extern void compose_edit_dismiss(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_edit_dismiss();
#endif
#ifdef __STDC__
extern void compose_edit_help(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_edit_help();
#endif
#ifdef __STDC__
extern void set_edit_buttons(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void set_edit_buttons();
#endif
#ifdef __STDC__
extern void compose_edit_tool(Widget w, Compose *compose, XtPointer xp)
;
#else
extern void compose_edit_tool();
#endif
#ifdef __STDC__
extern void compose_expunge(MAILSTREAM *mailstream, unsigned long msgno)
;
#else
extern void compose_expunge();
#endif
#ifdef __STDC__
extern void compose_mailbox_close(MAILSTREAM *mailstream)
;
#else
extern void compose_mailbox_close();
#endif
/* dlsym.c */
/* edfilter.c */
#ifdef __STDC__
extern void create_edfilter_window(Widget w)
;
#else
extern void create_edfilter_window();
#endif
#ifdef __STDC__
extern void edfilter_sort_select(Widget w, XtPointer call_data, 
			  XmToggleButtonCallbackStruct *xp)
;
#else
extern void edfilter_sort_select();
#endif
#ifdef __STDC__
extern void edfilter_reset(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_reset();
#endif
#ifdef __STDC__
extern void edfilter_destroy(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_destroy();
#endif
#ifdef __STDC__
extern void edfilter_window_help(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_window_help();
#endif
#ifdef __STDC__
extern void edfilter_action_help(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_action_help();
#endif
#ifdef __STDC__
extern void edfilter_filter_help(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_filter_help();
#endif
#ifdef __STDC__
extern int edfilter_compare(const void *f1, const void * f2)
;
#else
extern int edfilter_compare();
#endif
#ifdef __STDC__
extern void edfilter_sort(Edfilter *edfilter)
;
#else
extern void edfilter_sort();
#endif
#ifdef __STDC__
extern void stuff_edfilter_list(Edfilter *edfilter, Boolean update, Filter *active)
;
#else
extern void stuff_edfilter_list();
#endif
#ifdef __STDC__
extern void edfilter_select(Widget w, Edfilter *edfilter, XmListCallbackStruct *xp)
;
#else
extern void edfilter_select();
#endif
#ifdef __STDC__
extern Boolean duplicate_filter_name(char *s)
;
#else
extern Boolean duplicate_filter_name();
#endif
#ifdef __STDC__
extern void edfilter_add(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_add();
#endif
#ifdef __STDC__
extern void edfilter_modify(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_modify();
#endif
#ifdef __STDC__
extern void edfilter_delete(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_delete();
#endif
#ifdef __STDC__
extern void edfilter_accept(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_accept();
#endif
#ifdef __STDC__
extern void edfilter_dismiss(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_dismiss();
#endif
#ifdef __STDC__
extern void edfilter_context_switch(Edfilter *edfilter, Filter *old, Filter *new)
;
#else
extern void edfilter_context_switch();
#endif
#ifdef __STDC__
extern void edfilter_attach_one_current(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_attach_one_current();
#endif
#ifdef __STDC__
extern void edfilter_attach_one_mailbox(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_attach_one_mailbox();
#endif
#ifdef __STDC__
extern void edfilter_attach_current(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_attach_current();
#endif
#ifdef __STDC__
extern void edfilter_attach_mailbox(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_attach_mailbox();
#endif
#ifdef __STDC__
extern void edfilter_attach_session(Widget w, Edfilter *edfilter, XtPointer xp)
;
#else
extern void edfilter_attach_session();
#endif
#ifdef __STDC__
extern Boolean filter_has_changed(Edfilter *edfilter)
;
#else
extern Boolean filter_has_changed();
#endif
#ifdef __STDC__
extern void edfilter_attach_dispatch(Widget w, Edfilter *edfilter,
			      Attach_Operation operation)
;
#else
extern void edfilter_attach_dispatch();
#endif
/* filefncs.c */
#ifdef __STDC__
extern char *file_select(Widget w, char *initial_dir, char *initial_pattern,
		  char *initial_file, Boolean op_write, Boolean *op_append)
;
#else
extern char *file_select();
#endif
#ifdef __STDC__
extern int get_append_mode(Widget w, char *filename)
;
#else
extern int get_append_mode();
#endif
#ifdef __STDC__
extern void append_cancel(Widget w, int *append_mode, XtPointer xp)
;
#else
extern void append_cancel();
#endif
#ifdef __STDC__
extern void append_overwrite(Widget w, int *append_mode, XtPointer xp)
;
#else
extern void append_overwrite();
#endif
#ifdef __STDC__
extern void append_append(Widget w, int *append_mode, XtPointer xp)
;
#else
extern void append_append();
#endif
#ifdef __STDC__
extern void append_help(Widget w, int *append_mode, XtPointer xp)
;
#else
extern void append_help();
#endif
#ifdef __STDC__
extern void dir_set(Dirview *dirview, char *path)
;
#else
extern void dir_set();
#endif
#ifdef __STDC__
extern void dir_dir_select(Widget w, Dirview *dirview, XmListCallbackStruct *xp)
;
#else
extern void dir_dir_select();
#endif
#ifdef __STDC__
extern void dir_dir_enter(Widget w, Dirview *dirview, XmListCallbackStruct *xp)
;
#else
extern void dir_dir_enter();
#endif
#ifdef __STDC__
extern void dir_file_select(Widget w, Dirview *dirview, XmListCallbackStruct *xp)
;
#else
extern void dir_file_select();
#endif
#ifdef __STDC__
extern void dir_accept(Widget w, Dirview *dirview, XtPointer xp)
;
#else
extern void dir_accept();
#endif
#ifdef __STDC__
extern void dir_cancel(Widget w, Dirview *dirview, XtPointer xp)
;
#else
extern void dir_cancel();
#endif
#ifdef __STDC__
extern void dir_hide_dot(Widget w, Dirview *dirview, XtPointer xp)
;
#else
extern void dir_hide_dot();
#endif
#ifdef __STDC__
extern void dir_show_dot(Widget w, Dirview *dirview, XtPointer xp)
;
#else
extern void dir_show_dot();
#endif
#ifdef __STDC__
extern void dir_select_filter(Widget w, Dirview *dirview, XtPointer xp)
;
#else
extern void dir_select_filter();
#endif
#ifdef __STDC__
extern void dir_help(Widget w, Dirview *dirview, XtPointer xp)
;
#else
extern void dir_help();
#endif
#ifdef __STDC__
extern void dir_apply_filter(Widget w, Dirview *dirview, XtPointer xp)
;
#else
extern void dir_apply_filter();
#endif
#ifdef __STDC__
extern void dir_stuff(Dirview *dirview)
;
#else
extern void dir_stuff();
#endif
#ifdef __STDC__
extern int dir_compare(const void *n1, const void *n2)
;
#else
extern int dir_compare();
#endif
#ifdef __STDC__
extern void dir_sort(Dirview *dirview)
;
#else
extern void dir_sort();
#endif
/* icon.c */
#ifdef __STDC__
extern void make_icons(void)
;
#else
extern void make_icons();
#endif
/* imapfncs.c */
#ifdef __STDC__
extern void mail_find(MAILSTREAM *stream, char *pat)
;
#else
extern void mail_find();
#endif
#ifdef __STDC__
extern void mail_find_all(MAILSTREAM *stream, char *pat)
;
#else
extern void mail_find_all();
#endif
#ifdef __STDC__
extern void mail_find_bboards(MAILSTREAM *stream, char *pat)
;
#else
extern void mail_find_bboards();
#endif
#ifdef __STDC__
extern void mail_find_all_bboard(MAILSTREAM *stream, char *pat)
;
#else
extern void mail_find_all_bboard();
#endif
#ifdef __STDC__
extern long mail_subscribe_bboard(MAILSTREAM *stream, char *pat)
;
#else
extern long mail_subscribe_bboard();
#endif
#ifdef __STDC__
extern long mail_unsubscribe_bboard(MAILSTREAM *stream, char *pat)
;
#else
extern long mail_unsubscribe_bboard();
#endif
#ifdef __STDC__
extern void mm_status(MAILSTREAM *stream, char *mailbox, MAILSTATUS *status)
;
#else
extern void mm_status();
#endif
#ifdef __STDC__
extern void mm_list(MAILSTREAM *stream, char delimiter, char *str, long attributes)
;
#else
extern void mm_list();
#endif
#ifdef __STDC__
extern void mm_lsub(MAILSTREAM *stream, char delimiter, char *str, long attributes)
;
#else
extern void mm_lsub();
#endif
#ifdef __STDC__
extern void mm_mailbox (char *name)
;
#else
extern void mm_mailbox();
#endif
#ifdef __STDC__
extern void mm_bboard(char *name)
;
#else
extern void mm_bboard();
#endif
#ifdef __STDC__
extern void mm_searched(MAILSTREAM *stream, long msgno)
;
#else
extern void mm_searched();
#endif
#ifdef __STDC__
extern void mm_exists(MAILSTREAM *stream, long number)
;
#else
extern void mm_exists();
#endif
#ifdef __STDC__
extern void mm_expunged(MAILSTREAM *stream, long msgno)
;
#else
extern void mm_expunged();
#endif
#ifdef __STDC__
extern void mm_notify( MAILSTREAM *stream, char *string, long errorflag )
;
#else
extern void mm_notify();
#endif
#ifdef __STDC__
extern void mm_log( char *string, long errorflag )
;
#else
extern void mm_log();
#endif
#ifdef __STDC__
extern void mm_dlog(char *string)
;
#else
extern void mm_dlog();
#endif
#ifdef __STDC__
extern void mm_login ( char *host, char *username, char *password, long trial )
;
#else
extern void mm_login ();
#endif
#ifdef __STDC__
extern void mm_critical(MAILSTREAM *stream)
;
#else
extern void mm_critical();
#endif
#ifdef __STDC__
extern void mm_nocritical(MAILSTREAM *stream)
;
#else
extern void mm_nocritical();
#endif
#ifdef __STDC__
extern void mm_fatal(char *string)
;
#else
extern void mm_fatal();
#endif
#ifdef __STDC__
extern long mm_diskerror( MAILSTREAM *stream, long errcode, long serious )
;
#else
extern long mm_diskerror();
#endif
#ifdef __STDC__
extern void mm_flags ( MAILSTREAM *stream, long msgno )
;
#else
extern void mm_flags ();
#endif
/* localsearch.c */
#ifdef __STDC__
extern void set_leading_lan(void)
;
#else
extern void set_leading_lan();
#endif
#ifdef __STDC__
extern char *set_today(char *str)
;
#else
extern char *set_today();
#endif
#ifdef __STDC__
extern char *set_hier(char *str)
;
#else
extern char *set_hier();
#endif
#ifdef __STDC__
extern char *set_mois_dernier(char *str)
;
#else
extern char *set_mois_dernier();
#endif
#ifdef __STDC__
extern char *set_mois_courant(char *str)
;
#else
extern char *set_mois_courant();
#endif
#ifdef __STDC__
extern char *set_january(char *str)
;
#else
extern char *set_january();
#endif
#ifdef __STDC__
extern char *set_february(char *str)
;
#else
extern char *set_february();
#endif
#ifdef __STDC__
extern char *set_march(char *str)
;
#else
extern char *set_march();
#endif
#ifdef __STDC__
extern char *set_april(char *str)
;
#else
extern char *set_april();
#endif
#ifdef __STDC__
extern char *set_may(char *str)
;
#else
extern char *set_may();
#endif
#ifdef __STDC__
extern char *set_june(char *str)
;
#else
extern char *set_june();
#endif
#ifdef __STDC__
extern char *set_july(char *str)
;
#else
extern char *set_july();
#endif
#ifdef __STDC__
extern char *set_august(char *str)
;
#else
extern char *set_august();
#endif
#ifdef __STDC__
extern char *set_september(char *str)
;
#else
extern char *set_september();
#endif
#ifdef __STDC__
extern char *set_october(char *str)
;
#else
extern char *set_october();
#endif
#ifdef __STDC__
extern char *set_november(char *str)
;
#else
extern char *set_november();
#endif
#ifdef __STDC__
extern char *set_december(char *str)
;
#else
extern char *set_december();
#endif
#ifdef __STDC__
extern char *set_sunday(char *str)
;
#else
extern char *set_sunday();
#endif
#ifdef __STDC__
extern char *set_monday(char *str)
;
#else
extern char *set_monday();
#endif
#ifdef __STDC__
extern char *set_tuesday(char *str)
;
#else
extern char *set_tuesday();
#endif
#ifdef __STDC__
extern char *set_wednesday(char *str)
;
#else
extern char *set_wednesday();
#endif
#ifdef __STDC__
extern char *set_thursday(char *str)
;
#else
extern char *set_thursday();
#endif
#ifdef __STDC__
extern char *set_friday(char *str)
;
#else
extern char *set_friday();
#endif
#ifdef __STDC__
extern char *set_saturday(char *str)
;
#else
extern char *set_saturday();
#endif
#ifdef __STDC__
extern char *set_lastsunday(char *str)
;
#else
extern char *set_lastsunday();
#endif
#ifdef __STDC__
extern char *set_lastmonday(char *str)
;
#else
extern char *set_lastmonday();
#endif
#ifdef __STDC__
extern char *set_lasttuesday(char *str)
;
#else
extern char *set_lasttuesday();
#endif
#ifdef __STDC__
extern char *set_lastwednesday(char *str)
;
#else
extern char *set_lastwednesday();
#endif
#ifdef __STDC__
extern char *set_lastthursday(char *str)
;
#else
extern char *set_lastthursday();
#endif
#ifdef __STDC__
extern char *set_lastfriday(char *str)
;
#else
extern char *set_lastfriday();
#endif
#ifdef __STDC__
extern char *set_lastsaturday(char *str)
;
#else
extern char *set_lastsaturday();
#endif
#ifdef __STDC__
extern void conjunct_and(Mailbox *mailbox, Message_List *list1, Message_List *list2)
;
#else
extern void conjunct_and();
#endif
#ifdef __STDC__
extern void conjunct_or(Mailbox *mailbox, Message_List *list1, Message_List *list2)
;
#else
extern void conjunct_or();
#endif
#ifdef __STDC__
extern void negate_search(Mailbox *mailbox, Message_List *list1, Message_List *list2)
;
#else
extern void negate_search();
#endif
#ifdef __STDC__
extern Boolean local_new_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_new_search();
#endif
#ifdef __STDC__
extern Boolean local_deleted_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_deleted_search();
#endif
#ifdef __STDC__
extern Boolean local_undeleted_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_undeleted_search();
#endif
#ifdef __STDC__
extern Boolean local_flagged_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_flagged_search();
#endif
#ifdef __STDC__
extern Boolean local_unflagged_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_unflagged_search();
#endif
#ifdef __STDC__
extern Boolean local_seen_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_seen_search();
#endif
#ifdef __STDC__
extern Boolean local_unseen_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_unseen_search();
#endif
#ifdef __STDC__
extern Boolean local_answered_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_answered_search();
#endif
#ifdef __STDC__
extern Boolean local_unanswered_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_unanswered_search();
#endif
#ifdef __STDC__
extern Boolean local_recent_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_recent_search();
#endif
#ifdef __STDC__
extern Boolean local_old_search(Mailbox *mailbox, Lview *lview)
;
#else
extern Boolean local_old_search();
#endif
#ifdef __STDC__
extern Boolean local_subject_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_subject_search();
#endif
#ifdef __STDC__
extern Boolean local_body_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_body_search();
#endif
#ifdef __STDC__
extern Boolean local_header_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_header_search();
#endif
#ifdef __STDC__
extern Boolean local_text_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_text_search();
#endif
#ifdef __STDC__
extern Boolean local_msgid_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_msgid_search();
#endif
#ifdef __STDC__
extern Boolean local_remail_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_remail_search();
#endif
#ifdef __STDC__
extern Boolean local_size_plus_grand_que(Mailbox *mailbox, 
				  Lview *lview, char *pattern)
;
#else
extern Boolean local_size_plus_grand_que();
#endif
#ifdef __STDC__
extern Boolean local_inreplyto_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_inreplyto_search();
#endif
#ifdef __STDC__
extern Boolean local_on_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_on_search();
#endif
#ifdef __STDC__
extern Boolean local_since_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_since_search();
#endif
#ifdef __STDC__
extern Boolean local_before_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_before_search();
#endif
#ifdef __STDC__
extern Boolean local_keyword_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_keyword_search();
#endif
#ifdef __STDC__
extern Boolean local_from_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_from_search();
#endif
#ifdef __STDC__
extern Boolean local_to_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_to_search();
#endif
#ifdef __STDC__
extern Boolean local_cc_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_cc_search();
#endif
#ifdef __STDC__
extern Boolean local_reply_to_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_reply_to_search();
#endif
#ifdef __STDC__
extern Boolean local_sender_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_sender_search();
#endif
#ifdef __STDC__
extern Boolean local_replyto_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_replyto_search();
#endif
#ifdef __STDC__
extern Boolean local_returnpath_search(Mailbox *mailbox, Lview *lview, char *pattern)
;
#else
extern Boolean local_returnpath_search();
#endif
#ifdef __STDC__
extern char *update_dynamic_predicates(LEAF *leaf)
;
#else
extern char *update_dynamic_predicates();
#endif
#ifdef __STDC__
extern void local_select_field(char *str, char *obuf)
;
#else
extern void local_select_field();
#endif
#ifdef __STDC__
extern Boolean local_search(Mailbox *mailbox, Lview *lview, char *predicate)
;
#else
extern Boolean local_search();
#endif
/* lvfncs.c */
#ifdef __STDC__
extern Message_List *apply_op_to_operands(Mailbox *mailbox, BOOL op,
				   Message_List **list1,
				   Message_List **list2)
;
#else
extern Message_List *apply_op_to_operands();
#endif
#ifdef __STDC__
extern LEAFMACRO *macro_expansion_required(LEAF *leaf)
;
#else
extern LEAFMACRO *macro_expansion_required();
#endif
#ifdef __STDC__
extern void do_imap_macro_mail_search(Mailbox *mailbox, Lview *parent, 
			       LEAFMACRO *lm, LEAF *petal)
;
#else
extern void do_imap_macro_mail_search();
#endif
#ifdef __STDC__
extern void remote_search(Mailbox *mailbox, Lview *parent, char *predicate)
;
#else
extern void remote_search();
#endif
#ifdef __STDC__
extern void do_imap_mail_search(Mailbox *mailbox, Lview *parent, LEAF *leaf)
;
#else
extern void do_imap_mail_search();
#endif
#ifdef __STDC__
extern Message_List *do_imap_search(Mailbox *mailbox, Lview *parent, LEAF *petal)
;
#else
extern Message_List *do_imap_search();
#endif
/* mailboxes.c */
#ifdef __STDC__
extern int mailboxes_number_buttons(void)
;
#else
extern int mailboxes_number_buttons();
#endif
#ifdef __STDC__
extern Button_Table *mailboxes_get_table(void)
;
#else
extern Button_Table *mailboxes_get_table();
#endif
#ifdef __STDC__
extern void mailboxes_default_buttons(void)
;
#else
extern void mailboxes_default_buttons();
#endif
#ifdef __STDC__
extern void mailboxes_reset_buttons(void)
;
#else
extern void mailboxes_reset_buttons();
#endif
#ifdef __STDC__
extern void mailboxes_check_buttons(Mailbox_Win *mailbox_win)
;
#else
extern void mailboxes_check_buttons();
#endif
#ifdef __STDC__
extern void mailboxes_everything(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_everything();
#endif
#ifdef __STDC__
extern void mailboxes_subscribed(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_subscribed();
#endif
#ifdef __STDC__
extern void mailboxes_create(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_create();
#endif
#ifdef __STDC__
extern void mailboxes_create_only(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_create_only();
#endif
#ifdef __STDC__
extern void mailboxes_subscribe_only(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_subscribe_only();
#endif
#ifdef __STDC__
extern void mailboxes_delete(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_delete();
#endif
#ifdef __STDC__
extern void mailboxes_delete_only(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_delete_only();
#endif
#ifdef __STDC__
extern void mailboxes_unsubscribe_only(Widget w, Mailbox_Win *mailbox_win, 
				XtPointer xp)
;
#else
extern void mailboxes_unsubscribe_only();
#endif
#ifdef __STDC__
extern void mailboxes_rename(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_rename();
#endif
#ifdef __STDC__
extern void mailboxes_setmail(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_setmail();
#endif
#ifdef __STDC__
extern void mailboxes_setnews(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_setnews();
#endif
#ifdef __STDC__
extern void mailboxes_server(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_server();
#endif
#ifdef __STDC__
extern void mailboxes_pattern(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_pattern();
#endif
#ifdef __STDC__
extern void mailboxes_select(Widget w, Mailbox_Win *mailbox_win, 
		   XmListCallbackStruct *xp)
;
#else
extern void mailboxes_select();
#endif
#ifdef __STDC__
extern void mailboxes_open(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_open();
#endif
#ifdef __STDC__
extern void mailboxes_scan(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_scan();
#endif
#ifdef __STDC__
extern void mailboxes_cancel(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_cancel();
#endif
#ifdef __STDC__
extern void mailboxes_destroy(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_destroy();
#endif
#ifdef __STDC__
extern void mailboxes_help(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mailboxes_help();
#endif
#ifdef __STDC__
extern void mailboxes(Boolean news)
;
#else
extern void mailboxes();
#endif
#ifdef __STDC__
extern void close_invalid_mailbox(char *str)
;
#else
extern void close_invalid_mailbox();
#endif
#ifdef __STDC__
extern void close_autoscan_mailbox(void)
;
#else
extern void close_autoscan_mailbox();
#endif
#ifdef __STDC__
extern void mblist_everything(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_everything();
#endif
#ifdef __STDC__
extern void mblist_subscribed(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_subscribed();
#endif
#ifdef __STDC__
extern void mblist_create(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_create();
#endif
#ifdef __STDC__
extern void mblist_create_only(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_create_only();
#endif
#ifdef __STDC__
extern void mblist_subscribe_only(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_subscribe_only();
#endif
#ifdef __STDC__
extern void mblist_delete(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_delete();
#endif
#ifdef __STDC__
extern void mblist_delete_only(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_delete_only();
#endif
#ifdef __STDC__
extern void mblist_unsubscribe_only(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_unsubscribe_only();
#endif
#ifdef __STDC__
extern void mblist_rename(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_rename();
#endif
#ifdef __STDC__
extern void mblist_server(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_server();
#endif
#ifdef __STDC__
extern void mblist_pattern(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_pattern();
#endif
#ifdef __STDC__
extern void mblist_accept(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_accept();
#endif
#ifdef __STDC__
extern void mblist_cancel(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_cancel();
#endif
#ifdef __STDC__
extern void mblist_help(Widget w, Mailbox_Win *mailbox_win, XtPointer xp)
;
#else
extern void mblist_help();
#endif
#ifdef __STDC__
extern void mblist_select(Widget w, Mailbox_Win *mailbox_win, 
		   XmListCallbackStruct *xp)
;
#else
extern void mblist_select();
#endif
#ifdef __STDC__
extern char *fix_mailboxpath(char *str)
;
#else
extern char *fix_mailboxpath();
#endif
#ifdef __STDC__
extern char *unfix_mailboxpath(char *str)
;
#else
extern char *unfix_mailboxpath();
#endif
#ifdef __STDC__
extern Server_List *get_active_server_list(void)
;
#else
extern Server_List *get_active_server_list();
#endif
#ifdef __STDC__
extern Server_List *find_server_list(char *server,int type)
;
#else
extern Server_List *find_server_list();
#endif
#ifdef __STDC__
extern char *get_mailbox_name(Widget w, char *current_server,
		       char *default_server,char *default_mailbox,
		       Boolean *changed)
;
#else
extern char *get_mailbox_name();
#endif
#ifdef __STDC__
extern void free_mailbox_list(Mailbox_List *mailbox_list)
;
#else
extern void free_mailbox_list();
#endif
#ifdef __STDC__
extern void stuff_mailbox_list(Mailbox_Win *mailbox_win,char *server, 
		   Boolean force, Boolean everything)
;
#else
extern void stuff_mailbox_list();
#endif
#ifdef __STDC__
extern int mailbox_compare(const void *n1, const void *n2)
;
#else
extern int mailbox_compare();
#endif
#ifdef __STDC__
extern char *get_mailboxlist_pattern(Mailbox_Win *mailbox_win)
;
#else
extern char *get_mailboxlist_pattern();
#endif
#ifdef __STDC__
extern void sort_mailbox_list(Server_List *server_list)
;
#else
extern void sort_mailbox_list();
#endif
#ifdef __STDC__
extern char *format_server_name(char *server,int type)
;
#else
extern char *format_server_name();
#endif
#ifdef __STDC__
extern char *format_mailbox_name(char *server,char *mailbox,int type)
;
#else
extern char *format_mailbox_name();
#endif
#ifdef __STDC__
extern char *get_mailbox_string_from_window(Mailbox_Win *mailbox_win)
;
#else
extern char *get_mailbox_string_from_window();
#endif
#ifdef __STDC__
extern char *get_server_string_from_window(Mailbox_Win *mailbox_win)
;
#else
extern char *get_server_string_from_window();
#endif
#ifdef __STDC__
extern void mblist_set_server(Mailbox_Win *mailbox_win)
;
#else
extern void mblist_set_server();
#endif
/* mime.c */
#ifdef __STDC__
extern Boolean create_mime_attach_window(Widget w, BODY *body, Boolean is_multi)
;
#else
extern Boolean create_mime_attach_window();
#endif
#ifdef __STDC__
extern void stuff_typelist(Widget w, Boolean is_multi)
;
#else
extern void stuff_typelist();
#endif
#ifdef __STDC__
extern void attachtype_select(Widget w, Mime_Attach *mime_attach,
		       XmListCallbackStruct *xp)
;
#else
extern void attachtype_select();
#endif
#ifdef __STDC__
extern void attachtype_accept(Widget w,Mime_Attach *mime_attach, XtPointer xp)
;
#else
extern void attachtype_accept();
#endif
#ifdef __STDC__
extern void attachtype_cancel(Widget w,Mime_Attach *mime_attach, XtPointer xp)
;
#else
extern void attachtype_cancel();
#endif
#ifdef __STDC__
extern void attachtype_help(Widget w,Mime_Attach *mime_attach, XtPointer xp)
;
#else
extern void attachtype_help();
#endif
#ifdef __STDC__
extern Boolean get_type_from_suffix(BODY *body, char *filename)
;
#else
extern Boolean get_type_from_suffix();
#endif
#ifdef __STDC__
extern void set_default_attach_type(BODY *body, char *filename)
;
#else
extern void set_default_attach_type();
#endif
#ifdef __STDC__
extern void add_attachment_contents_to_body(BODY *body,Binary_Buffer *binary_buffer)
;
#else
extern void add_attachment_contents_to_body();
#endif
#ifdef __STDC__
extern void parse_external(BODY *body,Binary_Buffer *binary_buffer)
;
#else
extern void parse_external();
#endif
#ifdef __STDC__
extern int name_to_type(char *str)
;
#else
extern int name_to_type();
#endif
#ifdef __STDC__
extern char *type_to_name(int type)
;
#else
extern char *type_to_name();
#endif
#ifdef __STDC__
extern void load_mime_types(void)
;
#else
extern void load_mime_types();
#endif
#ifdef __STDC__
extern void load_mime_extension_map(void)
;
#else
extern void load_mime_extension_map();
#endif
#ifdef __STDC__
extern Mime_Handler *get_handler(int type, char *subtype)
;
#else
extern Mime_Handler *get_handler();
#endif
#ifdef __STDC__
extern void load_mime_handlers(void)
;
#else
extern void load_mime_handlers();
#endif
#ifdef __STDC__
extern int show_mime(Widget w, BODY *body)
;
#else
extern int show_mime();
#endif
#ifdef __STDC__
extern int save_to_file(char *filename,char *str,unsigned long length, Boolean append)
;
#else
extern int save_to_file();
#endif
#ifdef __STDC__
extern Binary_Buffer *create_mime_compose_window(Widget w, BODY *body)
;
#else
extern Binary_Buffer *create_mime_compose_window();
#endif
#ifdef __STDC__
extern void stuff_composelist(Widget w)
;
#else
extern void stuff_composelist();
#endif
#ifdef __STDC__
extern void mimecompose_select(Widget w,Mime_Attach *mime_attach,
			XmListCallbackStruct *xp)
;
#else
extern void mimecompose_select();
#endif
#ifdef __STDC__
extern void mimecompose_accept(Widget w, Mime_Attach *mime_attach, XtPointer xp)
;
#else
extern void mimecompose_accept();
#endif
#ifdef __STDC__
extern void mimecompose_cancel(Widget w, Mime_Attach *mime_attach, XtPointer xp)
;
#else
extern void mimecompose_cancel();
#endif
#ifdef __STDC__
extern void mimecompose_help(Widget w, Mime_Attach *mime_attach, XtPointer xp)
;
#else
extern void mimecompose_help();
#endif
#ifdef __STDC__
extern char *find_param(BODY *body, char *s)
;
#else
extern char *find_param();
#endif
#ifdef __STDC__
extern Boolean is_extmail(BODY *body)
;
#else
extern Boolean is_extmail();
#endif
#ifdef __STDC__
extern Boolean is_ftp(BODY *body)
;
#else
extern Boolean is_ftp();
#endif
#ifdef __STDC__
extern void get_external(BODY *body, char *text)
;
#else
extern void get_external();
#endif
#ifdef __STDC__
extern int do_ftp(char *site, char *user, char *pass, char *directory,
	   char *mode,char *name, char *filename)
;
#else
extern int do_ftp();
#endif
#ifdef __STDC__
extern void fetch(BODY *body)
;
#else
extern void fetch();
#endif
/* miscfncs.c */
#ifdef __STDC__
extern Mailbox *find_mailbox_from_mailstream(MAILSTREAM *mailstream)
;
#else
extern Mailbox *find_mailbox_from_mailstream();
#endif
#ifdef __STDC__
extern void free_binary_buffer(Binary_Buffer *binary_buffer)
;
#else
extern void free_binary_buffer();
#endif
#ifdef __STDC__
extern Remote_Auth *new_remote_auth(void)
;
#else
extern Remote_Auth *new_remote_auth();
#endif
#ifdef __STDC__
extern void free_remote_auth(Remote_Auth *remote_auth)
;
#else
extern void free_remote_auth();
#endif
#ifdef __STDC__
extern String_List *new_string_list(void)
;
#else
extern String_List *new_string_list();
#endif
#ifdef __STDC__
extern void free_string_list(String_List *string_list, Boolean recurse)
;
#else
extern void free_string_list();
#endif
#ifdef __STDC__
extern Server_Config *new_server_config(void)
;
#else
extern Server_Config *new_server_config();
#endif
#ifdef __STDC__
extern void free_server_config(Server_Config *server_config, Boolean recurse)
;
#else
extern void free_server_config();
#endif
#ifdef __STDC__
extern Filter_Map *new_filter_map(void)
;
#else
extern Filter_Map *new_filter_map();
#endif
#ifdef __STDC__
extern Filter_Map *get_filter_map(Lview *lview)
;
#else
extern Filter_Map *get_filter_map();
#endif
#ifdef __STDC__
extern Filter_Map *generate_filter_map(Lview *lview)
;
#else
extern Filter_Map *generate_filter_map();
#endif
#ifdef __STDC__
extern Server_List *new_server_list(void)
;
#else
extern Server_List *new_server_list();
#endif
#ifdef __STDC__
extern Mailbox_List *new_mailbox_list(void)
;
#else
extern Mailbox_List *new_mailbox_list();
#endif
#ifdef __STDC__
extern void free_message_list(Message_List *message_list, 
		       Boolean recurse, Boolean free_messages)
;
#else
extern void free_message_list();
#endif
#ifdef __STDC__
extern Mailbox *new_mailbox(void)
;
#else
extern Mailbox *new_mailbox();
#endif
#ifdef __STDC__
extern void free_mailbox(Mailbox *mailbox)
;
#else
extern void free_mailbox();
#endif
#ifdef __STDC__
extern View *new_view(void)
;
#else
extern View *new_view();
#endif
#ifdef __STDC__
extern Lview *new_lview(void)
;
#else
extern Lview *new_lview();
#endif
#ifdef __STDC__
extern void free_lview(Lview *lview)
;
#else
extern void free_lview();
#endif
#ifdef __STDC__
extern Filter *new_filter(void)
;
#else
extern Filter *new_filter();
#endif
#ifdef __STDC__
extern void free_filter(Filter *filter)
;
#else
extern void free_filter();
#endif
#ifdef __STDC__
extern Message_List *new_message_list(void)
;
#else
extern Message_List *new_message_list();
#endif
#ifdef __STDC__
extern Message *new_message(void)
;
#else
extern Message *new_message();
#endif
#ifdef __STDC__
extern void free_message(Message *message)
;
#else
extern void free_message();
#endif
#ifdef __STDC__
extern Edit *new_edit(void)
;
#else
extern Edit *new_edit();
#endif
#ifdef __STDC__
extern void free_edit(Edit *edit)
;
#else
extern void free_edit();
#endif
#ifdef __STDC__
extern Dir_Struct *new_dir_struct(void)
;
#else
extern Dir_Struct *new_dir_struct();
#endif
#ifdef __STDC__
extern void free_dir_structs(Dir_Struct *dir_struct)
;
#else
extern void free_dir_structs();
#endif
#ifdef __STDC__
extern Address_Book_Info *new_address_book_info(void)
;
#else
extern Address_Book_Info *new_address_book_info();
#endif
#ifdef __STDC__
extern void free_address_book_info(Address_Book_Info *address_book_info)
;
#else
extern void free_address_book_info();
#endif
#ifdef __STDC__
extern Read_Info *new_read_info(void)
;
#else
extern Read_Info *new_read_info();
#endif
#ifdef __STDC__
extern void free_read_info(Read_Info *read_info)
;
#else
extern void free_read_info();
#endif
#ifdef __STDC__
extern Read *new_read(void)
;
#else
extern Read *new_read();
#endif
#ifdef __STDC__
extern Mime_Handler *new_mime_handler(void)
;
#else
extern Mime_Handler *new_mime_handler();
#endif
#ifdef __STDC__
extern Note *new_note(void)
;
#else
extern Note *new_note();
#endif
#ifdef __STDC__
extern Button_Menu *new_button_menu(void)
;
#else
extern Button_Menu *new_button_menu();
#endif
#ifdef __STDC__
extern void free_button_menu(Button_Menu *button_menu)
;
#else
extern void free_button_menu();
#endif
/* ml-msg.c */
#ifdef __STDC__
extern int number_of_messages(void)
;
#else
extern int number_of_messages();
#endif
/* ml.c */
#ifdef __STDC__
extern void main(int argc,char **argv, char **envp)
;
#else
extern void main();
#endif
#ifdef __STDC__
extern void start_up(void)
;
#else
extern void start_up();
#endif
#ifdef __STDC__
extern void create_main_window(void)
;
#else
extern void create_main_window();
#endif
#ifdef __STDC__
extern MAILSTREAM *server_to_mailstream(char *server)
;
#else
extern MAILSTREAM *server_to_mailstream();
#endif
#ifdef __STDC__
extern Server_Config ** find_servers(char *service, int *num_servers)
;
#else
extern Server_Config ** find_servers();
#endif
#ifdef __STDC__
extern Boolean add_server_to_session(char *str, int type)
;
#else
extern Boolean add_server_to_session();
#endif
#ifdef __STDC__
extern void invalidate_server_list(Server_List *server_list)
;
#else
extern void invalidate_server_list();
#endif
#ifdef __STDC__
extern int load_mlinit(void)
;
#else
extern int load_mlinit();
#endif
#ifdef __STDC__
extern void init_open_mail(char *server, char *mbox)
;
#else
extern void init_open_mail();
#endif
#ifdef __STDC__
extern void init_open_news(char *server, char *mbox)
;
#else
extern void init_open_news();
#endif
#ifdef __STDC__
extern void save_mlinit( void )
;
#else
extern void save_mlinit();
#endif
#ifdef __STDC__
extern void main_open(Widget w, XtPointer cb, XtPointer xp)
;
#else
extern void main_open();
#endif
#ifdef __STDC__
extern void auto_open(void)
;
#else
extern void auto_open();
#endif
#ifdef __STDC__
extern void open_mailbox(Mailbox *mailbox, Boolean new_server)
;
#else
extern void open_mailbox();
#endif
#ifdef __STDC__
extern void check_mailbox(Mailbox *mailbox)
;
#else
extern void check_mailbox();
#endif
#ifdef __STDC__
extern void timed_check(Mailbox *mailbox, XtIntervalId *id)
;
#else
extern void timed_check();
#endif
#ifdef __STDC__
extern void main_prune_log(Widget w,XtPointer data,XtPointer xp)
;
#else
extern void main_prune_log();
#endif
#ifdef __STDC__
extern void main_close(Widget w,XtPointer data,XtPointer xp)
;
#else
extern void main_close();
#endif
#ifdef __STDC__
extern void close_mailbox(Mailbox *mailbox)
;
#else
extern void close_mailbox();
#endif
#ifdef __STDC__
extern void main_compose(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_compose();
#endif
#ifdef __STDC__
extern void main_address_book(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_address_book();
#endif
#ifdef __STDC__
extern void main_note_book(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_note_book();
#endif
#ifdef __STDC__
extern void main_raise_view(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_raise_view();
#endif
#ifdef __STDC__
extern void main_raise_read(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_raise_read();
#endif
#ifdef __STDC__
extern void main_raise_compose(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_raise_compose();
#endif
#ifdef __STDC__
extern void no_op(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void no_op();
#endif
#ifdef __STDC__
extern void main_buttons(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_buttons();
#endif
#ifdef __STDC__
extern void main_help(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_help();
#endif
#ifdef __STDC__
extern void main_keyboard_help(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_keyboard_help();
#endif
#ifdef __STDC__
extern void main_config_help(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_config_help();
#endif
#ifdef __STDC__
extern void main_resources_help(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_resources_help();
#endif
#ifdef __STDC__
extern void main_intl_help(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_intl_help();
#endif
#ifdef __STDC__
extern void main_version_help(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void main_version_help();
#endif
#ifdef __STDC__
extern void bye(Widget w, XtPointer data, XtPointer xp)
;
#else
extern void bye();
#endif
#ifdef __STDC__
extern void update_views(void)
;
#else
extern void update_views();
#endif
#ifdef __STDC__
extern void background_fetch(Mailbox *mailbox, XtIntervalId *id)
;
#else
extern void background_fetch();
#endif
#ifdef __STDC__
extern void modal_main_loop (int *exit_condition)
;
#else
extern void modal_main_loop ();
#endif
#ifdef __STDC__
extern void main_loop(void)
;
#else
extern void main_loop ();
#endif
#ifdef __STDC__
extern void update_main_buttons(void)
;
#else
extern void update_main_buttons();
#endif
#ifdef __STDC__
extern void redirect_stderr(XtPointer client_data, int *fd, XtInputId *id)
;
#else
extern void redirect_stderr();
#endif
#ifdef __STDC__
extern void trap_stderr(void)
;
#else
extern void trap_stderr();
#endif
#ifdef __STDC__
extern void setup_editres(Widget shell)
;
#else
extern void setup_editres();
#endif
#ifdef __STDC__
extern void de_iconify(Widget shell)
;
#else
extern void de_iconify();
#endif
/* msgfncs.c */
#ifdef __STDC__
extern char *get_reply_subject(char *header)
;
#else
extern char *get_reply_subject();
#endif
#ifdef __STDC__
extern char *get_forward_subject(char *header)
;
#else
extern char *get_forward_subject();
#endif
#ifdef __STDC__
extern char *get_short_forward_line(char *header, int count)
;
#else
extern char *get_short_forward_line();
#endif
#ifdef __STDC__
extern char *get_forward_text(char *text)
;
#else
extern char *get_forward_text();
#endif
#ifdef __STDC__
extern char *get_short_header(char *header)
;
#else
extern char *get_short_header();
#endif
#ifdef __STDC__
extern char *get_header_field_contents(char *field, char *header)
;
#else
extern char *get_header_field_contents();
#endif
#ifdef __STDC__
extern char *get_formatted_header_field(char *field, char *header)
;
#else
extern char *get_formatted_header_field();
#endif
#ifdef __STDC__
extern char *iso_decode(char **s, Boolean do_any)
;
#else
extern char *iso_decode();
#endif
#ifdef __STDC__
extern unsigned long header_field_len(char *str)
;
#else
extern unsigned long header_field_len();
#endif
#ifdef __STDC__
extern struct tm *elt_to_tm(MESSAGECACHE *elt)
;
#else
extern struct tm *elt_to_tm();
#endif
#ifdef __STDC__
extern char *ml_fetchfrom(Message *message)
;
#else
extern char *ml_fetchfrom();
#endif
#ifdef __STDC__
extern XmString make_view_line(Message *message)
;
#else
extern XmString make_view_line();
#endif
#ifdef __STDC__
extern void fast_fetch_message_info(Mailbox *mailbox, Lview *lview)
;
#else
extern void fast_fetch_message_info();
#endif
#ifdef __STDC__
extern void get_new_message_info(Mailbox *mailbox)
;
#else
extern void get_new_message_info();
#endif
#ifdef __STDC__
extern Boolean background_fetch_message(Mailbox *mailbox, unsigned long msgno, 
				 Boolean recurse)
;
#else
extern Boolean background_fetch_message();
#endif
#ifdef __STDC__
extern void prune_mailbox(Mailbox *mailbox, unsigned long msgno)
;
#else
extern void prune_mailbox();
#endif
#ifdef __STDC__
extern void update_view_line_stream_msgno(MAILSTREAM *mailstream, unsigned long msgno)
;
#else
extern void update_view_line_stream_msgno();
#endif
#ifdef __STDC__
extern void update_view_line(Mailbox *mailbox, Message *message)
;
#else
extern void update_view_line();
#endif
#ifdef __STDC__
extern Message *get_message_from_mailbox(Mailbox *mailbox, unsigned long msgno)
;
#else
extern Message *get_message_from_mailbox();
#endif
#ifdef __STDC__
extern char *generate_sequence(Lview *lview)
;
#else
extern char *generate_sequence();
#endif
#ifdef __STDC__
extern char *generate_sequence_unselected(Lview *lview)
;
#else
extern char *generate_sequence_unselected();
#endif
#ifdef __STDC__
extern void ask_save(Widget w, Binary_Buffer *binary_buffer)
;
#else
extern void ask_save();
#endif
#ifdef __STDC__
extern int copy_message_to_mailbox(MAILSTREAM *mailstream, unsigned long msgno,
			    char *dest)
;
#else
extern int copy_message_to_mailbox();
#endif
/* notefncs.c */
#ifdef __STDC__
extern void create_note_window(void)
;
#else
extern void create_note_window();
#endif
#ifdef __STDC__
extern void note_load(Note *note)
;
#else
extern void note_load();
#endif
#ifdef __STDC__
extern void note_autosave(Note *note, XtIntervalId *id)
;
#else
extern void note_autosave();
#endif
#ifdef __STDC__
extern void note_save(Widget w, Note *note, XtPointer xp)
;
#else
extern void note_save();
#endif
#ifdef __STDC__
extern void note_help(Widget w, Note *note, XtPointer xp)
;
#else
extern void note_help();
#endif
#ifdef __STDC__
extern void note_close(Widget w, Note *note, XtPointer xp)
;
#else
extern void note_close();
#endif
#ifdef __STDC__
extern void note_destroy(Widget w, Note *note, XtPointer xp)
;
#else
extern void note_destroy();
#endif
/* parse.c */
#ifdef __STDC__
extern void stuff_action_list(void)
;
#else
extern void stuff_action_list();
#endif
#ifdef __STDC__
extern ACTIONREC *find_action(char *s)
;
#else
extern ACTIONREC *find_action();
#endif
#ifdef __STDC__
extern HEADERREC *get_hdrlist(char *s)
;
#else
extern HEADERREC *get_hdrlist();
#endif
#ifdef __STDC__
extern void free_actions(char **ss)
;
#else
extern void free_actions();
#endif
#ifdef __STDC__
extern char **get_actions(char *s)
;
#else
extern char **get_actions();
#endif
#ifdef __STDC__
extern int count_separators(char *s)
;
#else
extern int count_separators();
#endif
#ifdef __STDC__
extern char *clean_and_parse_action(char *s)
;
#else
extern char *clean_and_parse_action();
#endif
#ifdef __STDC__
extern char *last(char *str)
;
#else
extern char *last();
#endif
#ifdef __STDC__
extern void strip_not(char **str)
;
#else
extern void strip_not();
#endif
#ifdef __STDC__
extern void strip_parens(char **str, PARENS_TYPE ptype)
;
#else
extern void strip_parens();
#endif
#ifdef __STDC__
extern PARENS_TYPE which_parens(char *str)
;
#else
extern PARENS_TYPE which_parens();
#endif
#ifdef __STDC__
extern int num_parens(PARENS_TYPE ptype)
;
#else
extern int num_parens();
#endif
#ifdef __STDC__
extern STOKEN * found_token(STOKEN *tlist, char *token, parse_errors *err)
;
#else
extern STOKEN * found_token();
#endif
#ifdef __STDC__
extern BOOL found_boolean(BLIST *blist, char *str)
;
#else
extern BOOL found_boolean();
#endif
#ifdef __STDC__
extern char *make_predicate(char *token, char *field, Boolean needs_field, 
		     unsigned long attributes, Boolean wild, Boolean *wcdone)
;
#else
extern char *make_predicate();
#endif
#ifdef __STDC__
extern char *set_form_end(char *field, int *n_excess, parse_errors *err)
;
#else
extern char *set_form_end();
#endif
#ifdef __STDC__
extern Boolean numeric_field(char *field, parse_errors *err)
;
#else
extern Boolean numeric_field();
#endif
#ifdef __STDC__
extern Boolean select_field(SFIELD *fptr, STOKEN *tptr, char *field, 
		     int *len_trouve, parse_errors *err)
;
#else
extern Boolean select_field();
#endif
#ifdef __STDC__
extern Boolean all_chars_ok(char *filter)
;
#else
extern Boolean all_chars_ok();
#endif
#ifdef __STDC__
extern Boolean brackets_balanced(char *filter)
;
#else
extern Boolean brackets_balanced();
#endif
#ifdef __STDC__
extern Boolean parenthesis_balanced(char *filter)
;
#else
extern Boolean parenthesis_balanced();
#endif
#ifdef __STDC__
extern void fix_nots(char *str)
;
#else
extern void fix_nots();
#endif
#ifdef __STDC__
extern int fix_whitespace(char *str)
;
#else
extern int fix_whitespace();
#endif
#ifdef __STDC__
extern Boolean whitespace_name(char *str)
;
#else
extern Boolean whitespace_name();
#endif
#ifdef __STDC__
extern expression_type set_feuille_state(PARENS_TYPE token_ptype, 
				  PARENS_TYPE field_ptype)
;
#else
extern expression_type set_feuille_state();
#endif
#ifdef __STDC__
extern Boolean add_leaf_to_tree(LEAF **arbe, char *ctoken, char *cfield, 
			 BOOL operator, STOKEN *tptr, SFIELD *fptr, 
			 Boolean sauvage)
;
#else
extern Boolean add_leaf_to_tree();
#endif
#ifdef __STDC__
extern void cut_down_the_tree(LEAF *leafs)
;
#else
extern void cut_down_the_tree();
#endif
#ifdef __STDC__
extern void move_leafs_to_filter(LEAF **search_tree, char **search_text, 
			  unsigned long *search_types, LEAF *leafs,
			  char *text, unsigned long token_types)
;
#else
extern void move_leafs_to_filter();
#endif
#ifdef __STDC__
extern char *advance_filter(char *filter, int *filter_len, int len)
;
#else
extern char *advance_filter();
#endif
#ifdef __STDC__
extern parse_errors lv_parse_filter(char *name_text, char *filter_text, 
			     LEAF **search_tree, char **search_text, 
			     unsigned long *search_types,char *errmsg)
;
#else
extern parse_errors lv_parse_filter();
#endif
#ifdef __STDC__
extern char *force_sauvage(char *search_string)
;
#else
extern char *force_sauvage();
#endif
#ifdef __STDC__
extern char *edit_search_string(char *search_string, EDIT_LPTR *elptr, 
			 int search_state)
;
#else
extern char *edit_search_string();
#endif
#ifdef __STDC__
extern parse_errors lv_edit_parse_filter(char *name_text, char *filter_text, 
				  LEAF **search_tree, char **search_text,
				  unsigned long *search_types, Boolean sauvage,
				  int search_state, char **update,
				  char *errmsg)
;
#else
extern parse_errors lv_edit_parse_filter();
#endif
/* pgp.c */
#ifdef __STDC__
extern char *make_kv_window(Widget w)
;
#else
extern char *make_kv_window();
#endif
#ifdef __STDC__
extern void stuff_pgp_list(Pgpkv *pgpkv)
;
#else
extern void stuff_pgp_list();
#endif
#ifdef __STDC__
extern void pgp_accept(Widget w,Pgpkv *pgpkv,XtPointer xp)
;
#else
extern void pgp_accept();
#endif
#ifdef __STDC__
extern void pgp_select(Widget w, Pgpkv *pgpkv, XmListCallbackStruct *xp)
;
#else
extern void pgp_select();
#endif
#ifdef __STDC__
extern void pgp_cancel(Widget w,Pgpkv *pgpkv,XtPointer xp)
;
#else
extern void pgp_cancel();
#endif
#ifdef __STDC__
extern void pgp_help(Widget w,Pgpkv *pgpkv,XtPointer xp)
;
#else
extern void pgp_help();
#endif
#ifdef __STDC__
extern void pgp_reset(Widget w,Pgpkv *pgpkv,XtPointer xp)
;
#else
extern void pgp_reset();
#endif
/* preferences.c */
#ifdef __STDC__
extern int load_defaults(void)
;
#else
extern int load_defaults();
#endif
#ifdef __STDC__
extern void save_defaults(void)
;
#else
extern void save_defaults();
#endif
#ifdef __STDC__
extern void get_resources(Widget w)
;
#else
extern void get_resources();
#endif
#ifdef __STDC__
extern void sane_defaults(void)
;
#else
extern void sane_defaults();
#endif
#ifdef __STDC__
extern void reset_header_set(void)
;
#else
extern void reset_header_set();
#endif
#ifdef __STDC__
extern char **init_array(char *string, char **newstr)
;
#else
extern char ** init_array();
#endif
#ifdef __STDC__
extern int save_address_book(FILE *fp)
;
#else
extern int save_address_book();
#endif
#ifdef __STDC__
extern int load_address_book(FILE *fp)
;
#else
extern int load_address_book();
#endif
#ifdef __STDC__
extern int load_filters(FILE *fp)
;
#else
extern int load_filters();
#endif
#ifdef __STDC__
extern int save_filters(FILE *fp)
;
#else
extern int save_filters();
#endif
#ifdef __STDC__
extern int save_filter_maps(FILE *fp)
;
#else
extern int save_filter_maps();
#endif
#ifdef __STDC__
extern int load_filter_maps(FILE *fp)
;
#else
extern int load_filter_maps();
#endif
#ifdef __STDC__
extern int save_server_tables(FILE *fp)
;
#else
extern int save_server_tables();
#endif
#ifdef __STDC__
extern int load_server_tables(FILE *fp)
;
#else
extern int load_server_tables();
#endif
#ifdef __STDC__
extern int save_button_tables(FILE *fp)
;
#else
extern int save_button_tables();
#endif
#ifdef __STDC__
extern int load_button_tables(FILE *fp)
;
#else
extern int load_button_tables();
#endif
#ifdef __STDC__
extern int load_message_catalog(void)
;
#else
extern int load_message_catalog();
#endif
#ifdef __STDC__
extern void main_preferences(Widget w, XtPointer zilch, XtPointer xp)
;
#else
extern void main_preferences();
#endif
#ifdef __STDC__
extern void main_more_preferences(Widget w, XtPointer zilch, XtPointer xp)
;
#else
extern void main_more_preferences();
#endif
#ifdef __STDC__
extern void pref_accept(Widget w, Prefst *prefst, XtPointer xp)
;
#else
extern void pref_accept();
#endif
#ifdef __STDC__
extern void pref2_accept(Widget w, Pref2st *pref2st, XtPointer xp)
;
#else
extern void pref2_accept();
#endif
#ifdef __STDC__
extern void pref_cancel(Widget w, Prefst *prefst, XtPointer xp)
;
#else
extern void pref_cancel();
#endif
#ifdef __STDC__
extern void pref2_cancel(Widget w, Pref2st *pref2st, XtPointer xp)
;
#else
extern void pref2_cancel();
#endif
#ifdef __STDC__
extern void pref_help(Widget w, Prefst *prefst, XtPointer xp)
;
#else
extern void pref_help();
#endif
#ifdef __STDC__
extern void pref2_help(Widget w, Pref2st *pref2st, XtPointer xp)
;
#else
extern void pref2_help();
#endif
/* read.c */
#ifdef __STDC__
extern int read_number_buttons(void)
;
#else
extern int read_number_buttons();
#endif
#ifdef __STDC__
extern Button_Table *read_get_table(void)
;
#else
extern Button_Table *read_get_table();
#endif
#ifdef __STDC__
extern void read_default_buttons(void)
;
#else
extern void read_default_buttons();
#endif
#ifdef __STDC__
extern void read_reset_buttons(void)
;
#else
extern void read_reset_buttons();
#endif
#ifdef __STDC__
extern void create_read_window(void)
;
#else
extern void create_read_window();
#endif
#ifdef __STDC__
extern void read_close_window(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_close_window();
#endif
#ifdef __STDC__
extern void read_help(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_help();
#endif
#ifdef __STDC__
extern void read_next(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_next();
#endif
#ifdef __STDC__
extern void read_prev(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_prev();
#endif
#ifdef __STDC__
extern void read_address(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_address();
#endif
#ifdef __STDC__
extern void read_destroy(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_destroy();
#endif
#ifdef __STDC__
extern void read_copy(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_copy();
#endif
#ifdef __STDC__
extern void read_move(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_move();
#endif
#ifdef __STDC__
extern void read_full_header(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_full_header();
#endif
#ifdef __STDC__
extern void read_short_header(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_short_header();
#endif
#ifdef __STDC__
extern void read_savefull(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_savefull();
#endif
#ifdef __STDC__
extern void read_savepart(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_savepart();
#endif
#ifdef __STDC__
extern void read_savenone(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_savenone();
#endif
#ifdef __STDC__
extern void read_save_dispatch(Read *read, Header_Mode header_mode)
;
#else
extern void read_save_dispatch();
#endif
#ifdef __STDC__
extern void read_printfull(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_printfull();
#endif
#ifdef __STDC__
extern void read_printpart(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_printpart();
#endif
#ifdef __STDC__
extern void read_printnone(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_printnone();
#endif
#ifdef __STDC__
extern void read_print_dispatch(Widget w, Read *read, Header_Mode header_mode)
;
#else
extern void read_print_dispatch();
#endif
#ifdef __STDC__
extern char *find_url(char *s)
;
#else
extern char *find_url();
#endif
#ifdef __STDC__
extern void read_browse_url(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_browse_url();
#endif
#ifdef __STDC__
extern void read_execfull(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_execfull();
#endif
#ifdef __STDC__
extern void read_execpart(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_execpart();
#endif
#ifdef __STDC__
extern void read_execnone(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_execnone();
#endif
#ifdef __STDC__
extern void read_exec_dispatch(Widget w, Read *read, Header_Mode header_mode)
;
#else
extern void read_exec_dispatch();
#endif
#ifdef __STDC__
extern void read_select_attach(Widget w, Read *read, XmListCallbackStruct *xp)
;
#else
extern void read_select_attach();
#endif
#ifdef __STDC__
extern void read_view_attach(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_view_attach();
#endif
#ifdef __STDC__
extern void read_exec_attach(Widget w, Read *read, XmListCallbackStruct *xp)
;
#else
extern void read_exec_attach();
#endif
#ifdef __STDC__
extern void read_kill_current(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_kill_current();
#endif
#ifdef __STDC__
extern void read_kill_all(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_kill_all();
#endif
#ifdef __STDC__
extern void read_close_kill_current(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_close_kill_current();
#endif
#ifdef __STDC__
extern void read_trash_current(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_trash_current();
#endif
#ifdef __STDC__
extern void kill_read_info(Read_Info *read_info)
;
#else
extern void kill_read_info();
#endif
#ifdef __STDC__
extern void read_messagelist(Message_List *message_list)
;
#else
extern void read_messagelist();
#endif
#ifdef __STDC__
extern void read_rfc822(Read_Info *parent, char *partstr, BODY *body)
;
#else
extern void read_rfc822();
#endif
#ifdef __STDC__
extern void read_message_part(Read_Info *read_info, char *partstr, BODY *body)
;
#else
extern void read_message_part();
#endif
#ifdef __STDC__
extern void read_new_link(Read_Info *read_info)
;
#else
extern void read_new_link();
#endif
#ifdef __STDC__
extern void read_fetch(Read_Info *read_info, BODY *body)
;
#else
extern void read_fetch();
#endif
#ifdef __STDC__
extern void read_context_switch(Read *read, Read_Info *old, Read_Info *new)
;
#else
extern void read_context_switch();
#endif
#ifdef __STDC__
extern void read_make_attachment_list(Read *read)
;
#else
extern void read_make_attachment_list();
#endif
#ifdef __STDC__
extern void read_add_this_part(Widget w, Read *read)
;
#else
extern void read_add_this_part();
#endif
#ifdef __STDC__
extern void read_add_attach_strings(Widget w, Read *read, PART *part, 
			     int level, char *partstr)
;
#else
extern void read_add_attach_strings();
#endif
#ifdef __STDC__
extern void read_reply_sender(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_reply_sender();
#endif
#ifdef __STDC__
extern void read_reply_all(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_reply_all();
#endif
#ifdef __STDC__
extern void read_forward(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_forward();
#endif
#ifdef __STDC__
extern void read_forward_attach(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_forward_attach();
#endif
#ifdef __STDC__
extern void read_remail(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_remail();
#endif
#ifdef __STDC__
extern void read_choosewin(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_choosewin();
#endif
#ifdef __STDC__
extern void read_list_select(Widget w, Read *read, XmListCallbackStruct *xp)
;
#else
extern void read_list_select();
#endif
#ifdef __STDC__
extern void read_list_double(Widget w, Read *read, XmListCallbackStruct *xp)
;
#else
extern void read_list_double();
#endif
#ifdef __STDC__
extern void read_list_cancel(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_list_cancel();
#endif
#ifdef __STDC__
extern void read_list_destroy(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_list_destroy();
#endif
#ifdef __STDC__
extern void read_list_help(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_list_help();
#endif
#ifdef __STDC__
extern void stuff_read_window_list(Read *read, Boolean update)
;
#else
extern void stuff_read_window_list();
#endif
#ifdef __STDC__
extern void read_expunge(MAILSTREAM *mailstream, unsigned long msgno)
;
#else
extern void read_expunge();
#endif
#ifdef __STDC__
extern void read_after_expunge(void)
;
#else
extern void read_after_expunge();
#endif
#ifdef __STDC__
extern void read_set_deleted(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_set_deleted();
#endif
#ifdef __STDC__
extern void read_set_seen(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_set_seen();
#endif
#ifdef __STDC__
extern void read_set_flagged(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_set_flagged();
#endif
#ifdef __STDC__
extern void read_set_answered(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_set_answered();
#endif
#ifdef __STDC__
extern void read_clear_deleted(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_clear_deleted();
#endif
#ifdef __STDC__
extern void read_clear_seen(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_clear_seen();
#endif
#ifdef __STDC__
extern void read_clear_flagged(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_clear_flagged();
#endif
#ifdef __STDC__
extern void read_clear_answered(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_clear_answered();
#endif
#ifdef __STDC__
extern void read_set_keyword(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_set_keyword();
#endif
#ifdef __STDC__
extern void read_unset_keyword(Widget w, Read *read, XtPointer xp)
;
#else
extern void read_unset_keyword();
#endif
#ifdef __STDC__
extern void read_setflag(Widget w, Read *read, char *flag)
;
#else
extern void read_setflag();
#endif
#ifdef __STDC__
extern void read_clearflag(Widget w, Read *read, char *flag)
;
#else
extern void read_clearflag();
#endif
#ifdef __STDC__
extern void pgp_verify(Widget w, Read *read, XtPointer xp)
;
#else
extern void pgp_verify();
#endif
#ifdef __STDC__
extern void pgp_decode(Widget w, Read *read, XtPointer xp)
;
#else
extern void pgp_decode();
#endif
#ifdef __STDC__
extern void pgp_addkey(Widget w, Read *read, XtPointer xp)
;
#else
extern void pgp_addkey();
#endif
#ifdef __STDC__
extern void pgp_decode_dispatch(Widget w, Read *read, int method)
;
#else
extern void pgp_decode_dispatch();
#endif
/* resources.c */
/* system.c */
#ifdef __STDC__
extern void dead_kid(int sig)
;
#else
extern void dead_kid();
#endif
#ifdef __STDC__
extern char *get_qualified_local_host_name(void)
;
#else
extern char *get_qualified_local_host_name();
#endif
#ifdef __STDC__
extern char *get_qualified_host_name(char *host)
;
#else
extern char *get_qualified_host_name();
#endif
#ifdef __STDC__
extern int get_user(void)
;
#else
extern int get_user();
#endif
#ifdef __STDC__
extern int write_to_pipe(char * command, char *intro, char *str, 
	       unsigned long length)
;
#else
extern int write_to_pipe();
#endif
#ifdef __STDC__
extern Binary_Buffer *read_from_pipe(char *command)
;
#else
extern Binary_Buffer *read_from_pipe();
#endif
/* textfncs.c */
#ifdef __STDC__
extern char *locale_message(int m)
;
#else
extern char *locale_message();
#endif
#ifdef __STDC__
extern int ml_strcoll(unsigned char *s1, unsigned char *s2)
;
#else
extern int ml_strcoll();
#endif
#ifdef __STDC__
extern unsigned char *GetUnTextField(Widget w)
;
#else
extern unsigned char *GetUnTextField();
#endif
#ifdef __STDC__
extern char *GetTextField(Widget w)
;
#else
extern char *GetTextField();
#endif
#ifdef __STDC__
extern void TextSetString(Widget w, unsigned char *str)
;
#else
extern void TextSetString();
#endif
#ifdef __STDC__
extern void AppendText(Widget w, char *str)
;
#else
extern void AppendText();
#endif
#ifdef __STDC__
extern void InsertText(Widget w, char *str)
;
#else
extern void InsertText();
#endif
#ifdef __STDC__
extern void text_field_edit(Widget w, XtPointer zilch, XtPointer call_data)
;
#else
extern void text_field_edit();
#endif
#ifdef __STDC__
extern void text_nospace_edit(Widget w, XtPointer zilch, XtPointer call_data)
;
#else
extern void text_nospace_edit();
#endif
#ifdef __STDC__
extern void text_hex_edit(Widget w, XtPointer zilch, XtPointer call_data)
;
#else
extern void text_hex_edit();
#endif
#ifdef __STDC__
extern void text_field_edit(Widget w, XtPointer zilch, XtPointer call_data)
;
#else
extern void text_field_edit();
#endif
#ifdef __STDC__
extern void passwd_edit(Widget w, Remote_Auth *authst, XtPointer call_data)
;
#else
extern void passwd_edit();
#endif
#ifdef __STDC__
extern void delete_at(int pos1, int pos2, char *str)
;
#else
extern void delete_at();
#endif
#ifdef __STDC__
extern int insert_at(int pos, char *ins, char *str)
;
#else
extern int insert_at();
#endif
#ifdef __STDC__
extern char *scramble(char *str)
;
#else
extern char *scramble();
#endif
#ifdef __STDC__
extern void wipeout(char *str)
;
#else
extern void wipeout();
#endif
#ifdef __STDC__
extern void zap_commas(char *str)
;
#else
extern void zap_commas();
#endif
#ifdef __STDC__
extern char *stripcr(char *str)
;
#else
extern char *stripcr();
#endif
#ifdef __STDC__
extern char *striplf(char *str)
;
#else
extern char *striplf();
#endif
#ifdef __STDC__
extern char *first_nonwhite(char *str)
;
#else
extern char *first_nonwhite();
#endif
#ifdef __STDC__
extern void remove_trailing_white(char *str)
;
#else
extern void remove_trailing_white();
#endif
#ifdef __STDC__
extern Binary_Buffer *load_binary_file(char *filename)
;
#else
extern Binary_Buffer *load_binary_file();
#endif
#ifdef __STDC__
extern char *wrap_text(char *str, int linelen)
;
#else
extern char *wrap_text();
#endif
#ifdef __STDC__
extern char *wrap_header_text(char *str, int linelen)
;
#else
extern char *wrap_header_text();
#endif
#ifdef __STDC__
extern int wordlen(char *s)
;
#else
extern int wordlen();
#endif
#ifdef __STDC__
extern char *lftocrlf(char *src)
;
#else
extern char *lftocrlf();
#endif
#ifdef __STDC__
extern char *input_string(Widget w, char *title, 
		   char *default_string, char *help_file)
;
#else
extern char *input_string();
#endif
#ifdef __STDC__
extern void text_input_accept(Widget w, XtPointer zilch, XtPointer xp)
;
#else
extern void text_input_accept();
#endif
#ifdef __STDC__
extern void text_input_cancel(Widget w, XtPointer zilch, XtPointer xp)
;
#else
extern void text_input_cancel();
#endif
#ifdef __STDC__
extern void text_input_help(Widget w, XtPointer zilch, XtPointer xp)
;
#else
extern void text_input_help();
#endif
#ifdef __STDC__
extern void text_unwrap(Widget w, XtPointer xp)
;
#else
extern void text_unwrap();
#endif
#ifdef __STDC__
extern void text_strip_prefix(Widget w, char *prefix)
;
#else
extern void text_strip_prefix();
#endif
#ifdef __STDC__
extern void text_rewrap(Widget w, int wraplen)
;
#else
extern void text_rewrap();
#endif
#ifdef __STDC__
extern void text_prefix(Widget w, char *prefix)
;
#else
extern void text_prefix();
#endif
#ifdef __STDC__
extern char *ML_Strstr(char *cs, char *ct)
;
#else
extern char *ML_Strstr();
#endif
#ifdef __STDC__
extern int count_lines(char *s)
;
#else
extern int count_lines();
#endif
#ifdef __STDC__
extern void text_blast(Widget w, char *str)
;
#else
extern void text_blast();
#endif
#ifdef __STDC__
extern void search_text(Widget w, XtPointer xp)
;
#else
extern void search_text();
#endif
#ifdef __STDC__
extern void hex_input(Widget w, XtPointer xp)
;
#else
extern void hex_input();
#endif
#ifdef __STDC__
extern void spell_do_search(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_do_search();
#endif
#ifdef __STDC__
extern void spell_do_replace(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_do_replace();
#endif
#ifdef __STDC__
extern void make_text_spell_window(Widget w, String_List *string_list)
;
#else
extern void make_text_spell_window();
#endif
#ifdef __STDC__
extern void spell_accept(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_accept();
#endif
#ifdef __STDC__
extern void spell_next(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_next();
#endif
#ifdef __STDC__
extern void spell_cancel(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_cancel();
#endif
#ifdef __STDC__
extern void spell_destroy(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_destroy();
#endif
#ifdef __STDC__
extern void spell_remember(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_remember();
#endif
#ifdef __STDC__
extern void spell_help(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void spell_help();
#endif
#ifdef __STDC__
extern void make_text_search_window(Widget w)
;
#else
extern void make_text_search_window();
#endif
#ifdef __STDC__
extern void search_search(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void search_search();
#endif
#ifdef __STDC__
extern void search_replace(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void search_replace();
#endif
#ifdef __STDC__
extern void search_cancel(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void search_cancel();
#endif
#ifdef __STDC__
extern void search_destroy(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void search_destroy();
#endif
#ifdef __STDC__
extern void search_help(Widget w, Search_Win *search_win, XtPointer xp)
;
#else
extern void search_help();
#endif
#ifdef __STDC__
extern Boolean ml_confirm(Widget w, char *prompt)
;
#else
extern Boolean ml_confirm();
#endif
#ifdef __STDC__
extern void confirm_ok(Widget w, Boolean *result, XtPointer xp)
;
#else
extern void confirm_ok();
#endif
#ifdef __STDC__
extern void confirm_cancel(Widget w, Boolean *result, XtPointer xp)
;
#else
extern void confirm_cancel();
#endif
/* view.c */
#ifdef __STDC__
extern void init_representation(void)
;
#else
extern void init_representation();
#endif
#ifdef __STDC__
extern int view_number_buttons(void)
;
#else
extern int view_number_buttons();
#endif
#ifdef __STDC__
extern Button_Table *view_get_table(void)
;
#else
extern Button_Table *view_get_table();
#endif
#ifdef __STDC__
extern void view_default_buttons(void)
;
#else
extern void view_default_buttons();
#endif
#ifdef __STDC__
extern void view_reset_buttons(void)
;
#else
extern void view_reset_buttons();
#endif
#ifdef __STDC__
extern void create_view_window(void)
;
#else
extern void create_view_window();
#endif
#ifdef __STDC__
extern char *sys_flagname(char *flag)
;
#else
extern char *sys_flagname();
#endif
#ifdef __STDC__
extern Widget new_list_widget(View *view)
;
#else
extern Widget new_list_widget();
#endif
#ifdef __STDC__
extern void view_action_help(Widget w, View *view, XtPointer xp)
;
#else
extern void view_action_help();
#endif
#ifdef __STDC__
extern void view_window_help(Widget w, View *view, XtPointer xp)
;
#else
extern void view_window_help();
#endif
#ifdef __STDC__
extern void view_do_actions(Widget w, View *view, XtPointer xp)
;
#else
extern void view_do_actions();
#endif
#ifdef __STDC__
extern void view_set_select_messages(Widget w, View *view, XmListCallbackStruct *xp)
;
#else
extern void view_set_select_messages();
#endif
#ifdef __STDC__
extern void view_check_mailbox(Widget w, View *view, XtPointer xp)
;
#else
extern void view_check_mailbox();
#endif
#ifdef __STDC__
extern void view_stopload_mailbox(Widget w, View *view, XtPointer xp)
;
#else
extern void view_stopload_mailbox();
#endif
#ifdef __STDC__
extern void view_contload_mailbox(Widget w, View *view, XtPointer xp)
;
#else
extern void view_contload_mailbox();
#endif
#ifdef __STDC__
extern void view_find(Widget w, View *view, XtPointer xp)
;
#else
extern void view_find();
#endif
#ifdef __STDC__
extern void view_read_message(Widget w, View *view, XmListCallbackStruct *xp)
;
#else
extern void view_read_message();
#endif
#ifdef __STDC__
extern void view_read_selected(Widget w, View *view, XmListCallbackStruct *xp)
;
#else
extern void view_read_selected();
#endif
#ifdef __STDC__
extern void view_next(Widget w, View *view, XtPointer xp)
;
#else
extern void view_next();
#endif
#ifdef __STDC__
extern void view_prev(Widget w, View *view, XtPointer xp)
;
#else
extern void view_prev();
#endif
#ifdef __STDC__
extern void view_expunge_messages(Widget w, View *view, XtPointer xp)
;
#else
extern void view_expunge_messages();
#endif
#ifdef __STDC__
extern char *rep_to_sortstr(Representation_Type representation)
;
#else
extern char *rep_to_sortstr();
#endif
#ifdef __STDC__
extern Representation_Type sortstr_to_rep(char * sortstr)
;
#else
extern Representation_Type sortstr_to_rep();
#endif
#ifdef __STDC__
extern void view_sort_reverse(Widget w, View *view, XtPointer xp)
;
#else
extern void view_sort_reverse();
#endif
#ifdef __STDC__
extern void view_sort_normal(Widget w, View *view, XtPointer xp)
;
#else
extern void view_sort_normal();
#endif
#ifdef __STDC__
extern void view_sort_subject(Widget w, View *view, XtPointer xp)
;
#else
extern void view_sort_subject();
#endif
#ifdef __STDC__
extern void view_sort_sender(Widget w, View *view, XtPointer xp)
;
#else
extern void view_sort_sender();
#endif
#ifdef __STDC__
extern void view_select_messages(Widget w, View *view, XtPointer xp)
;
#else
extern void view_select_messages();
#endif
#ifdef __STDC__
extern void view_unselect_messages(Widget w, View *view, XtPointer xp)
;
#else
extern void view_unselect_messages();
#endif
#ifdef __STDC__
extern void view_select_new_messages(Widget w, View *view, XtPointer xp)
;
#else
extern void view_select_new_messages();
#endif
#ifdef __STDC__
extern void view_select_unseen_messages(Widget w, View *view, XtPointer xp)
;
#else
extern void view_select_unseen_messages();
#endif
#ifdef __STDC__
extern void view_close_window(Widget w, View *view, XtPointer xp)
;
#else
extern void view_close_window();
#endif
#ifdef __STDC__
extern void view_destroy(Widget w, View *view, XtPointer xp)
;
#else
extern void view_destroy();
#endif
#ifdef __STDC__
extern void view_copy_dispatch(Widget w, View *view, Boolean move)
;
#else
extern void view_copy_dispatch();
#endif
#ifdef __STDC__
extern void view_copy(Widget w, View *view, XtPointer xp)
;
#else
extern void view_copy();
#endif
#ifdef __STDC__
extern void view_move(Widget w, View *view, XtPointer xp)
;
#else
extern void view_move();
#endif
#ifdef __STDC__
extern void view_context_switch(View *view,Lview *old,Lview *new)
;
#else
extern void view_context_switch();
#endif
#ifdef __STDC__
extern Lview *find_lview_another_mailbox(Mailbox *mailbox)
;
#else
extern Lview *find_lview_another_mailbox();
#endif
#ifdef __STDC__
extern void view_unlink_destroy_lview(View *view,Lview *lview,Boolean closing)
;
#else
extern void view_unlink_destroy_lview();
#endif
#ifdef __STDC__
extern Lview *get_all_lview(MAILSTREAM *mailstream)
;
#else
extern Lview *get_all_lview();
#endif
#ifdef __STDC__
extern Lview *get_bucket_lview(MAILSTREAM *mailstream)
;
#else
extern Lview *get_bucket_lview();
#endif
#ifdef __STDC__
extern void load_default_filters( Lview *lview,Filter_Map *filter_map)
;
#else
extern void load_default_filters();
#endif
#ifdef __STDC__
extern void attach_session_filters(Lview *lview)
;
#else
extern void attach_session_filters();
#endif
#ifdef __STDC__
extern void create_lview(Lview *lview, Boolean batch)
;
#else
extern void create_lview();
#endif
#ifdef __STDC__
extern void create_all_lview(Mailbox *mailbox)
;
#else
extern void create_all_lview();
#endif
#ifdef __STDC__
extern void view_expunge(MAILSTREAM *mailstream,unsigned long msgno)
;
#else
extern void view_expunge();
#endif
#ifdef __STDC__
extern void view_after_expunge(void)
;
#else
extern void view_after_expunge();
#endif
#ifdef __STDC__
extern void view_close_mailbox(Widget w, View *view, XtPointer xp)
;
#else
extern void view_close_mailbox();
#endif
#ifdef __STDC__
extern void view_no_update(Widget w, View *view, XtPointer xp)
;
#else
extern void view_no_update();
#endif
#ifdef __STDC__
extern void view_lview_window(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_window();
#endif
#ifdef __STDC__
extern void view_lview_save(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_save();
#endif
#ifdef __STDC__
extern void view_lview_select(Widget w, View *view, XmListCallbackStruct *xp)
;
#else
extern void view_lview_select();
#endif
#ifdef __STDC__
extern void view_lview_accept(Widget w, View *view, XmListCallbackStruct *xp)
;
#else
extern void view_lview_accept();
#endif
#ifdef __STDC__
extern void view_lview_hide(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_hide();
#endif
#ifdef __STDC__
extern void view_lview_show(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_show();
#endif
#ifdef __STDC__
extern void view_lview_detach(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_detach();
#endif
#ifdef __STDC__
extern void view_lview_dismiss(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_dismiss();
#endif
#ifdef __STDC__
extern void view_lview_destroy(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_destroy();
#endif
#ifdef __STDC__
extern void view_lview_help(Widget w, View *view, XtPointer xp)
;
#else
extern void view_lview_help();
#endif
#ifdef __STDC__
extern void stuff_lview_list(View *view, Boolean update, Boolean closing)
;
#else
extern void stuff_lview_list();
#endif
#ifdef __STDC__
extern char *view_fetch(Message *message,Header_Mode header_mode)
;
#else
extern char *view_fetch();
#endif
#ifdef __STDC__
extern void view_printfull(Widget w, View *view, XtPointer xp)
;
#else
extern void view_printfull();
#endif
#ifdef __STDC__
extern void view_printpart(Widget w, View *view, XtPointer xp)
;
#else
extern void view_printpart();
#endif
#ifdef __STDC__
extern void view_printnone(Widget w, View *view, XtPointer xp)
;
#else
extern void view_printnone();
#endif
#ifdef __STDC__
extern void view_print_dispatch(Widget w,View *view,Header_Mode header_mode)
;
#else
extern void view_print_dispatch();
#endif
#ifdef __STDC__
extern void view_execfull(Widget w, View *view, XtPointer xp)
;
#else
extern void view_execfull();
#endif
#ifdef __STDC__
extern void view_execpart(Widget w, View *view, XtPointer xp)
;
#else
extern void view_execpart();
#endif
#ifdef __STDC__
extern void view_execnone(Widget w, View *view, XtPointer xp)
;
#else
extern void view_execnone();
#endif
#ifdef __STDC__
extern void view_exec_dispatch(Widget w,View *view,Header_Mode header_mode)
;
#else
extern void view_exec_dispatch();
#endif
#ifdef __STDC__
extern void view_savefull(Widget w, View *view, XtPointer xp)
;
#else
extern void view_savefull();
#endif
#ifdef __STDC__
extern void view_savepart(Widget w, View *view, XtPointer xp)
;
#else
extern void view_savepart();
#endif
#ifdef __STDC__
extern void view_savenone(Widget w, View *view, XtPointer xp)
;
#else
extern void view_savenone();
#endif
#ifdef __STDC__
extern void view_save_dispatch(Widget w, View *view, Header_Mode header_mode)
;
#else
extern void view_save_dispatch();
#endif
#ifdef __STDC__
extern void view_set_deleted(Widget w, View *view, XtPointer xp)
;
#else
extern void view_set_deleted();
#endif
#ifdef __STDC__
extern void view_set_seen(Widget w, View *view, XtPointer xp)
;
#else
extern void view_set_seen();
#endif
#ifdef __STDC__
extern void view_set_flagged(Widget w, View *view, XtPointer xp)
;
#else
extern void view_set_flagged();
#endif
#ifdef __STDC__
extern void view_set_answered(Widget w, View *view, XtPointer xp)
;
#else
extern void view_set_answered();
#endif
#ifdef __STDC__
extern void view_clear_deleted(Widget w, View *view, XtPointer xp)
;
#else
extern void view_clear_deleted();
#endif
#ifdef __STDC__
extern void view_clear_seen(Widget w, View *view, XtPointer xp)
;
#else
extern void view_clear_seen();
#endif
#ifdef __STDC__
extern void view_clear_flagged(Widget w, View *view, XtPointer xp)
;
#else
extern void view_clear_flagged();
#endif
#ifdef __STDC__
extern void view_clear_answered(Widget w, View *view, XtPointer xp)
;
#else
extern void view_clear_answered();
#endif
#ifdef __STDC__
extern void update_flags(Lview *lview)
;
#else
extern void update_flags();
#endif
#ifdef __STDC__
extern void view_setflag(Widget w, View *view, char *flag)
;
#else
extern void view_setflag();
#endif
#ifdef __STDC__
extern void view_clearflag(Widget w, View *view, char *flag)
;
#else
extern void view_clearflag();
#endif
#ifdef __STDC__
extern void view_filter(Widget w, View *view, XtPointer xp)
;
#else
extern void view_filter();
#endif
#ifdef __STDC__
extern void view_reply_sender(Widget w, View *view, XtPointer xp)
;
#else
extern void view_reply_sender();
#endif
#ifdef __STDC__
extern void view_reply_all(Widget w, View *view, XtPointer xp)
;
#else
extern void view_reply_all();
#endif
#ifdef __STDC__
extern void view_remail(Widget w, View *view, XtPointer xp)
;
#else
extern void view_remail();
#endif
#ifdef __STDC__
extern void view_forward(Widget w, View *view, XtPointer xp)
;
#else
extern void view_forward();
#endif
#ifdef __STDC__
extern void view_forward_attach(Widget w, View *view, XtPointer xp)
;
#else
extern void view_forward_attach();
#endif
#ifdef __STDC__
extern int message_list_compare(Message_List *list1,Message_List *list2)
;
#else
extern int message_list_compare();
#endif
#ifdef __STDC__
extern void update_current_view(Mailbox *mailbox)
;
#else
extern void update_current_view();
#endif
#ifdef __STDC__
extern void update_bucket(Mailbox *mailbox)
;
#else
extern void update_bucket();
#endif
#ifdef __STDC__
extern void set_found_flags(Message_List *message_list)
;
#else
extern void set_found_flags();
#endif
#ifdef __STDC__
extern void update_logical_views(Mailbox *mailbox,Boolean initialize)
;
#else
extern void update_logical_views();
#endif
#ifdef __STDC__
extern int sort_ascending(const void *list1,const void *list2)
;
#else
extern int sort_ascending();
#endif
#ifdef __STDC__
extern int sort_reverse(const void *list1, const void *list2)
;
#else
extern int sort_reverse();
#endif
#ifdef __STDC__
extern int sort_subject(const void *list1,const void *list2)
;
#else
extern int sort_subject();
#endif
#ifdef __STDC__
extern int sort_sender(const void *list1, const void *list2)
;
#else
extern int sort_sender();
#endif
#ifdef __STDC__
extern Message_List * sort_message_list(Message_List *message_list, 
				 Representation_Type representation)
;
#else
extern Message_List * sort_message_list();
#endif
#ifdef __STDC__
extern Boolean has_new_messages(Lview *lview,Boolean wipe)
;
#else
extern Boolean has_new_messages();
#endif
#ifdef __STDC__
extern void update_lview_message_list(Lview *lview,
			       Message_List *old, Message_List *new,
			       Boolean update_in_view_flag)
;
#else
extern void update_lview_message_list();
#endif
#ifdef __STDC__
extern void view_set_keyword(Widget w, View *view, XtPointer xp)
;
#else
extern void view_set_keyword();
#endif
#ifdef __STDC__
extern void view_unset_keyword(Widget w, View *view, XtPointer xp)
;
#else
extern void view_unset_keyword();
#endif
#ifdef __STDC__
extern char *get_keyword(Widget w, MAILSTREAM *mailstream)
;
#else
extern char *get_keyword();
#endif
#ifdef __STDC__
extern void keyword_accept(Widget w,Keyword_Win *keyword_win,XtPointer xp)
;
#else
extern void keyword_accept();
#endif
#ifdef __STDC__
extern void keyword_destroy(Widget w, Keyword_Win *keyword_win,XtPointer xp)
;
#else
extern void keyword_destroy();
#endif
#ifdef __STDC__
extern void keyword_select(Widget w, Keyword_Win *keyword_win,
		    XmListCallbackStruct *xp)
;
#else
extern void keyword_select();
#endif
#ifdef __STDC__
extern void keyword_cancel(Widget w, Keyword_Win *keyword_win, XtPointer xp)
;
#else
extern void keyword_cancel();
#endif
#ifdef __STDC__
extern void keyword_help(Widget w, Keyword_Win *keyword_win, XtPointer xp)
;
#else
extern void keyword_help();
#endif
/* wildmat.c */
#ifdef __STDC__
extern int wildmat(char *text, char *p)
;
#else
extern int wildmat();
#endif
/* winfncs.c */
#ifdef __STDC__
extern void push_cursor(int cursor_type)
;
#else
extern void push_cursor();
#endif
#ifdef __STDC__
extern void pop_cursor(void)
;
#else
extern void pop_cursor();
#endif
#ifdef __STDC__
extern void set_cursor(int cursor_type)
;
#else
extern void set_cursor();
#endif
#ifdef __STDC__
extern void create_cursors(Display *display)
;
#else
extern void create_cursors();
#endif
#ifdef __STDC__
extern Cursor create_left_cursor(Display *display)
;
#else
extern Cursor create_left_cursor();
#endif
#ifdef __STDC__
extern Cursor create_pirate_cursor(Display *display)
;
#else
extern Cursor create_pirate_cursor();
#endif
#ifdef __STDC__
extern Cursor create_clock_cursor(Display *display)
;
#else
extern Cursor create_clock_cursor();
#endif
#ifdef __STDC__
extern void display_fontcursor(Display *display, Window w, Cursor cursor)
;
#else
extern void display_fontcursor();
#endif
#ifdef __STDC__
extern void reset_cursor(Display *display, Window w)
;
#else
extern void reset_cursor();
#endif
#ifdef __STDC__
extern void set_watch_cursors(void)
;
#else
extern void set_watch_cursors();
#endif
#ifdef __STDC__
extern void set_pirate_cursors(void)
;
#else
extern void set_pirate_cursors();
#endif
#ifdef __STDC__
extern void reset_cursors(void)
;
#else
extern void reset_cursors();
#endif
#ifdef __STDC__
extern void get_pointer_position(Widget w, Position *x, Position *y)
;
#else
extern void get_pointer_position();
#endif
#ifdef __STDC__
extern void get_screen_size(int *x, int *y)
;
#else
extern void get_screen_size();
#endif
#ifdef __STDC__
extern void position_popup_widget(Widget w)
;
#else
extern void position_popup_widget();
#endif
#ifdef __STDC__
extern Boolean is_selected(XmListCallbackStruct *ptr, unsigned long num)
;
#else
extern Boolean is_selected();
#endif
#ifdef __STDC__
extern Widget create_label(Widget form, Widget below, char *string)
;
#else
extern Widget create_label();
#endif
#ifdef __STDC__
extern Widget create_text_field(Widget form, Widget below, char *label_string,
			 char *string, int width, 
			 XtPointer fn, XtPointer data)
;
#else
extern Widget create_text_field();
#endif
#ifdef __STDC__
extern void help(Widget w, char *title, char *filename, Doc_Type doctype)
;
#else
extern void help();
#endif
#ifdef __STDC__
extern void display_text(Widget w, char *title, char *filename, 
		  char *string, Doc_Type doctype)
;
#else
extern void display_text();
#endif
#ifdef __STDC__
extern void help_dismiss(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_dismiss();
#endif
#ifdef __STDC__
extern void help_print(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_print();
#endif
#ifdef __STDC__
extern void help_help(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_help();
#endif
#ifdef __STDC__
extern void help_destroy(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_destroy();
#endif
#ifdef __STDC__
extern unsigned char * RichToPlain(char *s, Doc_Type doctype)
;
#else
extern unsigned char * RichToPlain();
#endif
#ifdef __STDC__
extern void help(Widget w, char *title, char *filename, Doc_Type doctype)
;
#else
extern void help();
#endif
#ifdef __STDC__
extern void display_text(Widget w, char *title, char *filename, 
		  char *string, Doc_Type doctype)
;
#else
extern void display_text();
#endif
#ifdef __STDC__
extern void resize_xetext(Widget w, Gentext *gentext, XEvent *event)
;
#else
extern void resize_xetext();
#endif
#ifdef __STDC__
extern void help_dismiss(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_dismiss();
#endif
#ifdef __STDC__
extern void help_print(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_print();
#endif
#ifdef __STDC__
extern void help_help(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_help();
#endif
#ifdef __STDC__
extern void help_destroy(Widget w, Gentext *gentext, XtPointer xp)
;
#else
extern void help_destroy();
#endif
