#include "ml.h"
#ifdef FALLBACK
String fallback_resources[] = {
"ML*local_defs:	True",
"*defaults_version:			1.3.2",
"*textFontList:			-*-courier-medium-r-normal--12-*",
"*buttonFontList:		-*-courier-bold-r-normal--12-*",
"*labelFontList:			-*-courier-bold-r-normal--12-*",
"*XmCascadeButton*fontList:		-*-courier-bold-r-normal--12-*",
"*XmPushButton*fontList:			-*-courier-bold-r-normal--12-*",
"*XmLabel*fontList:			-*-courier-bold-r-normal--12-*",
"*XmText*fontList:			-*-courier-medium-r-normal--12-*",
"*MLlview*XmList.FontList:\
	-*-courier-medium-r-normal--12-*=NORMAL,\
	-*-courier-bold-r-normal--12-*=BOLD,\
	-*-courier-medium-o-normal--12-*=ITALIC,\
	-*-courier-bold-o-normal--12-*=BOLD_ITALIC",
"*XeText.fonts:\
	14 -*-times=iso8859-1,-;\
	14 -*-helvetica=iso8859-1,-;\
	14 -adobe-new century schoolbook=iso8859-1,-;\
	14 -adobe-utopia=iso8859-1,-;\
	14 -b&h-lucida=iso8859-1,-;\
	14 -bitstream-charter=iso8859-1,-;\
	14 -misc-fixed=iso8859-1,-;\
	14 -schumacher-clean=iso8859-1,-;\
	14 -sony-fixed;\
	14 -*-courier=iso8859-1,-",
"*XeTextEd.fonts:\
	14 -*-times=iso8859-1,-;\
	14 -*-helvetica=iso8859-1,-;\
	14 -adobe-new century schoolbook=iso8859-1,-;\
	14 -adobe-utopia=iso8859-1,-;\
	14 -b&h-lucida=iso8859-1,-;\
	14 -bitstream-charter=iso8859-1,-;\
	14 -misc-fixed=iso8859-1,-;\
	14 -schumacher-clean=iso8859-1,-;\
	14 -sony-fixed;\
	14 -*-courier=iso8859-1,-",
"*focusPolicy:		pointer",
"*XmScrollBar*height:	10",
"*XmScrollBar*width:	12",
"*XmForm*verticalSpacing:	0",
"*XmForm*topOffset:	0",
"*XmForm*bottomOffset:	0",
"*XmRowColumn*spacing:	0",
"*XmRowColumn*marginHeight:	1",
"*XmRowColumn.entryBorder:	0",
"*XmCascadeButton.marginHeight:	1",
"*XmCascadeButton.marginWidth:	8",
"*XmToggleButton.marginHeight:	1",
"*XmPushButton.marginHeight:	1",
"*marginHeight:			2",
"*marginWidth:			3",
"*XmList*highlightThickness:	0",
"*background:				#d3d3d3d3d3d3",
"*foreground:				#000000000000",
"*XmCascadeButton*foreground:		#00000000ffff",
"*XmRowColumn.XmPushButton*foreground:	#00000000ffff",
"*XmLabel*foreground:			#000000000000",
"*doubleClickInterval:		500",
"*file_menu.labelString:		File",
"*file_menu.mnemonic:		F",
"*edit_menu.labelString:		Edit",
"*edit_menu.mnemonic:		E",
"*option_menu.labelString:	Option",
"*option_menu.mnemonic:		O",
"*send_menu.labelString:		Send",
"*send_menu.mnemonic:		S",
"*mailbox_menu.labelString:	Mailbox",
"*mailbox_menu.mnemonic:		M",
"*prevwin.labelString:		Prev",
"*prevwin.mnemonic:		P",
"*listwin.labelString:		List",
"*listwin.mnemonic:		L",
"*nextwin.labelString:		Next",
"*nextwin.mnemonic:		N",
"*print_menu.labelString:	Print",
"*print_menu.mnemonic:		P",
"*save_menu.labelString:		Save To File",
"*save_menu.mnemonic:		S",
"*pipe_menu.labelString:		Pipe To Command",
"*pipe_menu.mnemonic:		T",
"*address_book.labelString:	Address Book",
"*address_book.mnemonic:		A",
"*address_book.accelerator:	Alt<Key>a",
"*address_book.acceleratorText:	ALT-A",
"*note_book.labelString:		Note Book",
"*note_book.mnemonic:		B",
"*note_book.accelerator:		Alt<Key>b",
"*note_book.acceleratorText:	ALT-B",
"*HELP_menu.labelString:		Help",
"*HELP_menu.mnemonic:		H",
"*HELP.labelString:		Help",
"*HELP.mnemonic:			H",
"*accept.labelString:		Accept",
"*accept.mnemonic:		A",
"*dismiss.labelString:		Dismiss",
"*dismiss.mnemonic:		D",
"*cancel.labelString:		Cancel",
"*cancel.mnemonic:		C",
"*open.labelString:		Open Mailbox",
"*open.mnemonic:			O",
"*open.accelerator:		Ctrl<Key>o",
"*open.acceleratorText:		CTRL-O",
"*close_window.labelString:	Close Window",
"*close_window.mnemonic:		W",
"*close_window.accelerator:	Alt<Key>x",
"*close_window.acceleratorText:	ALT-X",
"*fullhead.labelString:		Full Header",
"*fullhead.mnemonic:		F",
"*parthead.labelString:		Part Header",
"*parthead.mnemonic:		P",
"*nonehead.labelString:		No Header",
"*nonehead.mnemonic:		N",
"*copy.labelString:		Copy To Mailbox",
"*copy.mnemonic:			C",
"*copy.accelerator:		Alt<Key>c",
"*copy.acceleratorText:		ALT-C",
"*move.labelString:		Move To Mailbox",
"*move.mnemonic:			M",
"*move.accelerator:		Shift Alt<Key>c",
"*move.acceleratorText:		^ALT-C",
"*print_menu_PDmenu.parthead.accelerator:	Alt<Key>p",
"*print_menu_PDmenu.parthead.acceleratorText:	ALT-P",
"*print.labelString:		Print",
"*print.mnemonic:		P",
"ML.title:				ML",
"ML.iconName:				ML",
"ML*open.labelString:			Open Mailbox",
"ML*open.mnemonic:			O",
"ML*open.accelerator:			Ctrl<Key>o",
"ML*open.acceleratorText:		CTRL-O",
"ML*buttons.labelString:			Button Editor",
"ML*buttons.mnemonic:			E",
"ML*compose.labelString:			Compose New Message",
"ML*compose.mnemonic:			N",
"ML*close.labelString:			Close All Mailboxes",
"ML*close.mnemonic:			C",
"ML*exit.labelString:			Exit Program",
"ML*exit.mnemonic:			x",
"ML*exit.accelerator:			Shift Alt<Key>x",
"ML*exit.acceleratorText:		^ALT-X",
"ML*preferences.labelString:		Preferences",
"ML*preferences.mnemonic:		P",
"ML*more_preferences.labelString:	Option Settings",
"ML*more_preferences.mnemonic:		O",
"ML*save_mail_init.labelString:		Save Startup Mailboxes",
"ML*save_mail_init.mnemonic:		S",
"ML*raise_view.labelString:		Re-Open View Window",
"ML*raise_view.mnemonic:			V",
"ML*raise_read.labelString:		Re-Open Read Window",
"ML*raise_read.mnemonic:			R",
"ML*raise_compose.labelString:		Re-Open Compose Window",
"ML*raise_compose.mnemonic:		C",
"ML*prune_log.labelString:		Clear Log Window",
"ML*prune_log.mnemonic:			W",
"ML*tophelp.labelString:			On Window",
"ML*tophelp.mnemonic:			W",
"ML*keyboard_help.labelString:		On Keyboard & Mouse",
"ML*keyboard_help.mnemonic:		K",
"ML*config_help.labelString:		On MIME Configuration",
"ML*config_help.mnemonic:		C",
"ML*resources_help.labelString:		On X Resources",
"ML*resources_help.mnemonic:		X",
"ML*intl_help.labelString:		On International Use",
"ML*intl_help.mnemonic:			I",
"ML*version_help.labelString:		On Program",
"ML*version_help.mnemonic:		P",
"*MLmailopen.title:		Mailboxes",
"*MLmailopen.iconName:		Mailboxes",
"*MLmailopen*server_lbl.labelString:	Server  :",
"*MLmailopen*server_textfld.columns:	32",
"*MLmailopen*pattern_lbl.labelString:	Pattern :",
"*MLmailopen*pattern_textfld.columns:	32",
"*MLmailopen*mailbox_lbl.labelString:	Mailbox :",
"*MLmailopen*mailbox_textfld.columns:	32",
"*MLmailopen*list.visibleItemCount:	15",
"*MLmailopen*create.labelString:		New Mailbox",
"*MLmailopen*create.mnemonic:		N",
"*MLmailopen*create.accelerator:		Ctrl<Key>n",
"*MLmailopen*create.acceleratorText:	CTRL-N",
"*MLmailopen*delete.labelString:		Kill Mailbox",
"*MLmailopen*delete.mnemonic:		K",
"*MLmailopen*delete.accelerator:		Shift Alt<Key>t",
"*MLmailopen*delete.acceleratorText:	^ALT-T",
"*MLmailopen*rename.labelString:		Rename Mailbox",
"*MLmailopen*rename.mnemonic:		R",
"*MLmailopen*create_only.labelString:	Create Only",
"*MLmailopen*create_only.mnemonic:	C",
"*MLmailopen*delete_only.labelString:	Delete Only",
"*MLmailopen*delete_only.mnemonic:	D",
"*MLmailopen*subscribe_only.labelString:	Subscribe Only",
"*MLmailopen*subscribe_only.mnemonic:	S",
"*MLmailopen*unsubscribe_only.labelString:	Unsubscribe Only",
"*MLmailopen*unsubscribe_only.mnemonic:	U",
"*MLmailopen*mail.labelString:		Show Mailboxes",
"*MLmailopen*mail.mnemonic:		M",
"*MLmailopen*news.labelString:		Show Newsgroups",
"*MLmailopen*news.mnemonic:		N",
"*MLmailopen*everything.labelString:	Show All Mailboxes",
"*MLmailopen*everything.mnemonic:	A",
"*MLmailopen*subscribed.labelString:	Show Subscribed Only",
"*MLmailopen*subscribed.mnemonic:	S",
"*MLmailopen*open.labelString:		Open",
"*MLmailopen*open.mnemonic:		O",
"*MLmailopen*scan.labelString:		Auto Scan",
"*MLmailopen*scan.mnemonic:		A",
"*MLmailopen*HELP.labelString:		Help",
"*MLmailopen*HELP.mnemonic:		H",
"*MLaddress.title:			Address Book",
"*MLaddress.iconName:			Address",
"*MLaddress*name_lbl.labelString:	Name    :",
"*MLaddress*name_textfld.columns		40",
"*MLaddress*addr_lbl.labelString:	Address :",
"*MLaddress*addr_textfld.columns:	40",
"*MLaddress*cmmt_lbl.labelString:	Comment :",
"*MLaddress*cmmt_textfld.columns:	40",
"*MLaddress*list.visibleItemCount:	15",
"*MLaddress*slist.visibleItemCount:	15",
"*MLaddress*add.labelString:		Add Address",
"*MLaddress*add.mnemonic:		A",
"*MLaddress*remove.labelString:		Remove Address",
"*MLaddress*remove.mnemonic:		R",
"*MLaddress*remove.accelerator:		Alt<Key>t",
"*MLaddress*remove.acceleratorText:	ALT-T",
"*MLaddress*modify.labelString:		Modify Address",
"*MLaddress*modify.mnemonic:		M",
"*MLaddress*search.labelString:		Search",
"*MLaddress*search.mnemonic:		S",
"*MLaddress*search.accelerator:		Alt<Key>s",
"*MLaddress*search.acceleratorText:	ALT-S",
"*MLaddress*reset.labelString:		Reset",
"*MLaddress*reset.mnemonic:		R",
"*MLaddress*reset.accelerator:		Alt<Key>r",
"*MLaddress*reset.acceleratorText:	ALT-R",
"*MLview.title:			View Window",
"*MLview.iconName:			Mailbox",
"*MLview*action_button.labelString:	Action:",
"*MLview*action_textfld.columns:	75",
"*MLview*list.visibleItemCount:	14",
"*MLview*read_selected.labelString:	View Selected",
"*MLview*read_selected.mnemonic:	V",
"*MLview*read_selected.accelerator:	Ctrl<Key>v",
"*MLview*read_selected.acceleratorText:	CTRL-V",
"*MLview*set_deleted.labelString:	Deleted",
"*MLview*set_deleted.mnemonic:		D",
"*MLview*set_deleted.accelerator:	Ctrl<Key>t",
"*MLview*set_deleted.acceleratorText:	CTRL-T",
"*MLview*set_seen.labelString:		Seen",
"*MLview*set_seen.mnemonic:		S",
"*MLview*set_flagged.labelString:	Flagged",
"*MLview*set_flagged.mnemonic:		F",
"*MLview*set_answered.labelString:	Answered",
"*MLview*set_answered.mnemonic:		A",
"*MLview*clear_deleted.labelString:	Deleted",
"*MLview*clear_deleted.mnemonic:		D",
"*MLview*clear_seen.labelString:		Seen",
"*MLview*clear_seen.mnemonic:		S",
"*MLview*clear_flagged.labelString:	Flagged",
"*MLview*clear_flagged.mnemonic:		F",
"*MLview*clear_answered.labelString:	Answered",
"*MLview*clear_answered.mnemonic:	A",
"*MLview*select_messages.labelString:	Select All Messages",
"*MLview*select_messages.mnemonic:	A",
"*MLview*select_messages.accelerator:	Ctrl<Key>q",
"*MLview*select_messages.acceleratorText:	CTRL-Q",
"*MLview*select_new_messages.labelString:	Select New Messages",
"*MLview*select_new_messages.mnemonic:	N",
"*MLview*select_new_messages.accelerator:	Ctrl<Key>n",
"*MLview*select_new_messages.acceleratorText:	CTRL-N",
"*MLview*select_unseen_messages.labelString:	Select Unseen Messages",
"*MLview*select_unseen_messages.mnemonic:	U",
"*MLview*select_unseen_messages.accelerator:	Ctrl<Key>u",
"*MLview*select_unseen_messages.acceleratorText:	CTRL-U",
"*MLview*unselect_messages.labelString:	Deselect All Messages",
"*MLview*unselect_messages.mnemonic:	D",
"*MLview*unselect_messages.accelerator:	Shift Ctrl<Key>q",
"*MLview*unselect_messages.acceleratorText:	^CTRL-Q",
"*MLview*find_messages.labelString:	Find",
"*MLview*find_messages.mnemonic:		F",
"*MLview*setflags_menu.labelString:	Set Flags",
"*MLview*setflags_menu.mnemonic:		S",
"*MLview*clearflags_menu.labelString:	Clear Flags",
"*MLview*clearflags_menu.mnemonic:	C",
"*MLview*set_keyword.labelString:	Set Keyword",
"*MLview*set_keyword.mnemonic:		K",
"*MLview*set_keyword.accelerator:	Alt<Key>k",
"*MLview*set_keyword.acceleratorText:	ALT-K",
"*MLview*unset_keyword.labelString:	Unset Keyword",
"*MLview*unset_keyword.mnemonic:		w",
"*MLview*filter.labelString:		Search Filters",
"*MLview*filter.mnemonic:		F",
"*MLview*sort_normal.labelString:	Sort Normal",
"*MLview*sort_normal.mnemonic:		N",
"*MLview*sort_reverse.labelString:	Sort Reverse",
"*MLview*sort_reverse.mnemonic:		R",
"*MLview*sort_subject.labelString:	By Subject",
"*MLview*sort_subject.mnemonic:		S",
"*MLview*sort_sender.labelString:	By Sender",
"*MLview*sort_sender.mnemonic:		B",
"*MLview*reply_sender.labelString:	Reply To Sender",
"*MLview*reply_sender.mnemonic:		R",
"*MLview*reply_all.labelString:		Reply To All",
"*MLview*reply_all.mnemonic:		A",
"*MLview*forward.labelString:		Insert Message",
"*MLview*forward.mnemonic:		I",
"*MLview*forward_attach.labelString:	Attach Message",
"*MLview*forward_attach.mnemonic:	A",
"*MLview*compose_new.labelString:	Compose New Message",
"*MLview*compose_new.mnemonic:		N",
"*MLview*reply_menu.labelString:		Reply To ...",
"*MLview*reply_menu.mnemonic:		R",
"*MLview*forward_menu.labelString:	Forward Messages",
"*MLview*forward_menu.mnemonic:		F",
"*MLview*remail.labelString:		Remail Messages",
"*MLview*remail.mnemonic:		M",
"*MLview*check_mailbox.labelString:	Check For New Mail",
"*MLview*check_mailbox.mnemonic:		N",
"*MLview*expunge_messages.labelString:	Expunge Deleted Messages",
"*MLview*expunge_messages.mnemonic:	E",
"*MLview*expunge_messages.accelerator:	Alt<Key>t",
"*MLview*expunge_messages.acceleratorText:	ALT-T",
"*MLview*open_mailbox.labelString:	Open Another Mailbox",
"*MLview*open_mailbox.mnemonic:		O",
"*MLview*open_mailbox.accelerator:	Ctrl<Key>o",
"*MLview*open_mailbox.acceleratorText:	CTRL-O",
"*MLview*close_mailbox.labelString:	Close This Mailbox",
"*MLview*close_mailbox.mnemonic:		C",
"*MLview*no_update.labelString:		Preserve Newsgroup",
"*MLview*no_update.mnemonic:		P",
"*MLview*stopload_mailbox.labelString:	Stop Background Fetch",
"*MLview*stopload_mailbox.mnemonic:	S",
"*MLview*contload_mailbox.labelString:	Resume Background Fetch",
"*MLview*contload_mailbox.mnemonic:	R",
"*MLview*window_help.labelString:	On Window",
"*MLview*window_help.mnemonic:		W",
"*MLview*action_help.labelString:	On Actions",
"*MLview*action_help.mnemonic:		A",
"*MLlview.title:			Logical Views",
"*MLlview.iconName:		Views",
"*MLlview*dummy.columns:		60",
"*MLlview*list.visibleItemCount:	10",
"*MLlview*accept.labelString:	Jump To Selected",
"*MLlview*accept.mnemonic:	J",
"*MLlview*detach.labelString:	Detach Current",
"*MLlview*detach.mnemonic:	D",
"*MLlview*save.labelString:	Save Active Filters",
"*MLlview*save.mnemonic:		S",
"*MLlview*hide.labelString:	Hide Empty Views",
"*MLlview*hide.mnemonic:		H",
"*MLlview*show.labelString:	Show All Views",
"*MLlview*show.mnemonic:		S",
"*MLcompose.title:			Compose Window",
"*MLcompose.iconName:			Compose",
"*MLcompose*to_lbl.labelString:		To        :",
"*MLcompose*ng_lbl.labelString:		Newsgroups:",
"*MLcompose*subject_lbl.labelString:	Subject   :",
"*MLcompose*cc_lbl.labelString:		Cc        :",
"*MLcompose*bcc_lbl.labelString:		Bcc       :",
"*MLcompose*partlist.visibleItemCount:	3",
"*MLcompose*text.rows:			14",
"*MLcompose*load_draft.labelString:	Load Draft",
"*MLcompose*load_draft.mnemonic:		L",
"*MLcompose*save_draft.labelString:	Save Draft",
"*MLcompose*save_draft.mnemonic:		S",
"*MLcompose*print.labelString:		Print",
"*MLcompose*print.mnemonic:		P",
"*MLcompose*print.accelerator:		Alt<Key>p",
"*MLcompose*print.acceleratorText:	ALT-P",
"*MLcompose*insert_file.labelString:	Insert File",
"*MLcompose*insert_file.mnemonic:	I",
"*MLcompose*insert_file.accelerator:	Alt<Key>i",
"*MLcompose*insert_file.acceleratorText:	ALT-I",
"*MLcompose*attach_file.labelString:	Attach File",
"*MLcompose*attach_file.mnemonic:	A",
"*MLcompose*attach_multi.labelString:	Attach Multipart",
"*MLcompose*attach_multi.mnemonic:	M",
"*MLcompose*createattach.labelString:	Create Attachment",
"*MLcompose*createattach.mnemonic:	C",
"*MLcompose*delete_part.labelString:	Delete Attachment",
"*MLcompose*delete_part.mnemonic:	D",
"*MLcompose*reply_insert.labelString:	Reply Insert",
"*MLcompose*reply_insert.mnemonic:	R",
"*MLcompose*reply_insert.accelerator:	Alt<Key>r",
"*MLcompose*reply_insert.acceleratorText:	ALT-R",
"*MLcompose*custom_insert.labelString:	Custom Insert",
"*MLcompose*custom_insert.mnemonic:	C",
"*MLcompose*edit_tool.labelString:	Edit Tool",
"*MLcompose*edit_tool.mnemonic:		T",
"*MLcompose*spell.labelString:		Spell Check",
"*MLcompose*spell.mnemonic:		S",
"*MLcompose*attach_menu.labelString:	Attachments",
"*MLcompose*attach_menu.mnemonic:	A",
"*MLcompose*wrap_on.labelString:		Word Wrap",
"*MLcompose*wrap_on.mnemonic:		W",
"*MLcompose*wrap_off.labelString:	No Word Wrap",
"*MLcompose*wrap_off.mnemonic:		N",
"*MLcompose*destroy_current.labelString:	Kill Current",
"*MLcompose*destroy_current.mnemonic:	K",
"*MLcompose*destroy_current.accelerator:	Alt<Key>t",
"*MLcompose*destroy_current.acceleratorText:	ALT-T",
"*MLcompose*parameters.labelString:	Set Parameters",
"*MLcompose*parameters.mnemonic:		P",
"*MLcompose*set_eight.labelString:	Int'l Mail",
"*MLcompose*set_eight.mnemonic:		I",
"*MLcompose*set_seven.labelString:	U.S. Mail",
"*MLcompose*set_seven.mnemonic:		U",
"*MLcompose*pgp_sign.labelString:	Sign",
"*MLcompose*pgp_sign.mnemonic:		S",
"*MLcompose*pgp_encrypt.labelString:	Encrypt",
"*MLcompose*pgp_encrypt.mnemonic:	E",
"*MLcompose*pgp_both.labelString:	Sign And Encrypt",
"*MLcompose*pgp_both.mnemonic:		A",
"*MLcompose*toggle_news.labelString:	Mail-News Toggle",
"*MLcompose*toggle_news.mnemonic:	T",
"*MLcompose*watch_delivery.labelString:	Watch Delivery",
"*MLcompose*watch_delivery.mnemonic:	W",
"*MLcompose*keep_open.labelString:	Keep Window Open",
"*MLcompose*keep_open.mnemonic:		O",
"*MLcompose*key_menu.labelString:	Public Key",
"*MLcompose*key_menu.mnemonic:		K",
"*MLcompose*send_message.labelString:	Send Message",
"*MLcompose*send_message.mnemonic:	S",
"*MLcompose*send_message.accelerator:	Ctrl<Key>z",
"*MLcompose*send_message.acceleratorText:	CTRL-Z",
"*MLcompose*send_autograph.labelString:	With Signature File",
"*MLcompose*send_autograph.mnemonic:	F",
"*MLcompose*send_autograph.accelerator:	Alt<Key>z",
"*MLcompose*send_autograph.acceleratorText:	ALT-Z",
"*MLcompose*edit_shell.title:			Edit",
"*MLcompose*edit_shell.iconName:			Edit",
"*MLcompose*edit_undo_button.labelString:	Undo",
"*MLcompose*edit_copy_button.labelString:	Copy",
"*MLcompose*edit_cut_button.labelString:		Cut",
"*MLcompose*edit_paste_button.labelString:	Paste",
"*MLcompose*edit_striplf_button.labelString:	Remove Line Breaks",
"*MLcompose*edit_rewrap_button.labelString:	Wrap  Column",
"*MLcompose*edit_rewrap_textfld.columns:		3",
"*MLcompose*edit_strip_button.labelString:	Strip Prefix",
"*MLcompose*edit_strip_textfld.columns:		3",
"*MLcompose*edit_add_button.labelString:		Add   Prefix",
"*MLcompose*edit_add_textfld.columns:		3",
"*MLcomposelist.title:			Compose Sessions",
"*MLcomposelist.iconName:		Write List",
"*MLcomposelist*dummy.columns:		60",
"*MLcomposelist*list.visibleItemCount:	10",
"*MLread.title:				Read Window",
"*MLread.iconName:			Read",
"*MLread*text.rows:			14",
"*MLread*view_attachment.labelString:	View Attachment",
"*MLread*view_attachment.mnemonic:	V",
"*MLread*print_menu.labelString:		Print",
"*MLread*print_menu.mnemonic:		P",
"*MLread*save_menu.labelString:		Save To File",
"*MLread*save_menu.mnemonic:		S",
"*MLread*pipe_menu.labelString:		Pipe To Command",
"*MLread*pipe_menu.mnemonic:		T",
"*MLread*browse_url.labelString:		Follow Web Link",
"*MLread*browse_url.mnemonic:		L",
"*MLread*browse_url.accelerator:		Ctrl<Key>w",
"*MLread*browse_url.acceleratorText:	CTRL-W",
"*MLread*set_deleted.labelString:	Deleted",
"*MLread*set_deleted.mnemonic:		D",
"*MLread*set_seen.labelString:		Seen",
"*MLread*set_seen.mnemonic:		S",
"*MLread*set_flagged.labelString:	Flagged",
"*MLread*set_flagged.mnemonic:		F",
"*MLread*set_answered.labelString:	Answered",
"*MLread*set_answered.mnemonic:		A",
"*MLread*clear_deleted.labelString:	Deleted",
"*MLread*clear_deleted.mnemonic:		D",
"*MLread*clear_seen.labelString:		Seen",
"*MLread*clear_seen.mnemonic:		S",
"*MLread*clear_flagged.labelString:	Flagged",
"*MLread*clear_flagged.mnemonic:		F",
"*MLread*clear_answered.labelString:	Answered",
"*MLread*clear_answered.mnemonic:	A",
"*MLread*kill_current.labelString:	Dismiss & Next",
"*MLread*kill_current.mnemonic:		N",
"*MLread*kill_current.accelerator:	Ctrl<Key>n",
"*MLread*kill_current.acceleratorText:	CTRL-N",
"*MLread*trash_current.labelString:	Trash & Next",
"*MLread*trash_current.mnemonic:		T",
"*MLread*trash_current.accelerator:	Ctrl<Key>t",
"*MLread*trash_current.acceleratorText:	CTRL-T",
"*MLread*dismiss_all.labelString:	Cancel All",
"*MLread*dismiss_all.mnemonic:		A",
"*MLread*setflags_menu.labelString:	Set Flags",
"*MLread*setflags_menu.mnemonic:		S",
"*MLread*clearflags_menu.labelString:	Clear Flags",
"*MLread*clearflags_menu.mnemonic:	C",
"*MLread*set_keyword.labelString:	Set Keyword",
"*MLread*set_keyword.mnemonic:		K",
"*MLread*set_keyword.accelerator:	Alt<Key>k",
"*MLread*set_keyword.acceleratorText:	ALT-K   ",
"*MLread*unset_keyword.labelString:	Unset Keyword",
"*MLread*unset_keyword.mnemonic:		U",
"*MLread*takeaddr.labelString:		To Address Book",
"*MLread*takeaddr.mnemonic:		T",
"*MLread*pgp_addkey.labelString:		Add To Keyring",
"*MLread*pgp_addkey.mnemonic:		A",
"*MLread*pgp_verify.labelString:		Verify Signature",
"*MLread*pgp_verify.mnemonic:		V",
"*MLread*pgp_decode.labelString:		Decode Message",
"*MLread*pgp_decode.mnemonic:		D",
"*MLread*full_header.labelString:	Full Header",
"*MLread*full_header.mnemonic:		F",
"*MLread*short_header.labelString:	Short Header",
"*MLread*short_header.mnemonic:		S",
"*MLread*key_menu.labelString:		Public Key",
"*MLread*key_menu.mnemonic:		K",
"*MLread*reply_sender.labelString:	Reply To Sender",
"*MLread*reply_sender.mnemonic:		R",
"*MLread*reply_sender.accelerator:	Ctrl<Key>r",
"*MLread*reply_sender.acceleratorText:	CTRL-R",
"*MLread*reply_all.labelString:		Reply To All",
"*MLread*reply_all.mnemonic:		A",
"*MLread*reply_all.accelerator:		Shift Ctrl<Key>r",
"*MLread*reply_all.acceleratorText:	^CTRL-R",
"*MLread*forward.labelString:		Insert Message",
"*MLread*forward.mnemonic:		I",
"*MLread*forward_attach.labelString:	Attach Message",
"*MLread*forward_attach.mnemonic:	A",
"*MLread*compose_new.labelString:	Compose New Message",
"*MLread*compose_new.mnemonic:		N",
"*MLread*reply_menu.labelString:		Reply To ...",
"*MLread*reply_menu.mnemonic:		R",
"*MLread*forward_menu.labelString:	Forward Message",
"*MLread*forward_menu.mnemonic:		F",
"*MLread*remail.labelString:		Remail Message",
"*MLread*remail.mnemonic:		M",
"*MLreadlist.title:			Messages to Read",
"*MLreadlist.iconName:			Read List",
"*MLreadlist*dummy.columns:		60",
"*MLreadlist*list.visibleItemCount:	10",
"*MLnotebook.title:			Notebook",
"*MLnotebook.iconName:			Notebook",
"*MLnotebook*save.labelString:		Save",
"*MLnotebook*save.mnemonic:		S",
"*MLnotebook*rows:			14",
"*MLfilter.title:			Filters",
"*MLfilter.iconName:			Filters",
"*MLfilter*name_lbl.labelString:		Filter Name    :",
"*MLfilter*name_textfld.columns:		40",
"*MLfilter*action_lbl.labelString:	Default Action :",
"*MLfilter*action_textfld.columns:	40",
"*MLfilter*sort_lbl.labelString:		Sort Method:",
"*MLfilter*normal_toggle.labelString:	Normal",
"*MLfilter*reverse_toggle.labelString:	Reverse",
"*MLfilter*subject_toggle.labelString:	Subject",
"*MLfilter*sender_toggle.labelString:	Sender",
"*MLfilter*filter_lbl.labelString:	Filter Definition:",
"*MLfilter*text.rows:			4",
"*MLfilter*text.columns:			64",
"*MLfilter*list.visibleItemCount:	10",
"*MLfilter*add.labelString:		Add Filter",
"*MLfilter*add.mnemonic:			A",
"*MLfilter*delete.labelString:		Delete Filter",
"*MLfilter*delete.mnemonic:		D",
"*MLfilter*delete.accelerator:		Alt<Key>t",
"*MLfilter*delete.acceleratorText:	ALT-T",
"*MLfilter*modify.labelString:		Modify Filter",
"*MLfilter*modify.mnemonic:		M",
"*MLfilter*attach_one_current.labelString:	Search Current View",
"*MLfilter*attach_one_current.mnemonic:	C",
"*MLfilter*attach_one_mailbox.labelString:	Search Current Mailbox",
"*MLfilter*attach_one_mailbox.mnemonic:	S",
"*MLfilter*attach_current.labelString:	Filter Current View",
"*MLfilter*attach_current.mnemonic:	V",
"*MLfilter*attach_mailbox.labelString:	Filter Current Mailbox",
"*MLfilter*attach_mailbox.mnemonic:	F",
"*MLfilter*attach_session.labelString:	Attach to Session",
"*MLfilter*attach_session.mnemonic:	A",
"*MLfilter*window_help.labelString:	On Window",
"*MLfilter*window_help.mnemonic:		W",
"*MLfilter*action_help.labelString:	On Actions",
"*MLfilter*action_help.mnemonic:		A",
"*MLfilter*filter_help.labelString:	On Filters",
"*MLfilter*filter_help.mnemonic:		F",
"*MLfilter*attach_menu.labelString:	Attach",
"*MLfilter*attach_menu.mnemonic:		A",
"*MLfilter*reset.labelString:		Reset",
"*MLfilter*reset.mnemonic:		R",
"*MLprefs.title:				Preferences",
"*MLprefs.iconName:			Preferences",
"*MLprefs*mailconfig_lbl.labelString:	Basic Configuration",
"*MLprefs*imapname_lbl.labelString:	IMAP (Mailbox) Server   :",
"*MLprefs*imapname_textfld.columns:	40",
"*MLprefs*nntpname_lbl.labelString:	NNTP (News) Server      :",
"*MLprefs*nntpname_textfld.columns:	40",
"*MLprefs*smtpname_lbl.labelString:	SMTP (Delivery) Server  :",
"*MLprefs*smtpname_textfld.columns:	40",
"*MLprefs*defdomn_lbl.labelString:	Outgoing Mail Domain    :",
"*MLprefs*defdomn_textfld.columns:	40",
"*MLprefs*replname_lbl.labelString:	My Reply-To Address     :",
"*MLprefs*replname_textfld.columns:	40",
"*MLprefs*mailname_lbl.labelString:	Default Mailbox         :",
"*MLprefs*mailname_textfld.columns:	40",
"*MLprefs*prntcmd_lbl.labelString:	System Print Command    :",
"*MLprefs*prntcmd_textfld.columns:	40",
"*MLprefs*charset_lbl.labelString:	Default Character Set   :",
"*MLprefs*charset_textfld.columns:	40",
"*MLprefs*miscconfig_lbl.labelString:	Miscellaneous Configuration",
"*MLprefs*pgppath_lbl.labelString:	PGP location (optional) :",
"*MLprefs*pgppath_textfld.columns:	40",
"*MLprefs*pgpname_lbl.labelString:	PGP username (optional) :",
"*MLprefs*pgpname_textfld.columns:	40",
"*MLprefs*sigfile_lbl.labelString:	Signature File Filename :",
"*MLprefs*sigfile_textfld.columns:	40",
"*MLprefs*fldrpath_lbl.labelString:	My Mail Folder Directory:",
"*MLprefs*fldrpath_textfld.columns:	40",
"*MLprefs*helpdir_lbl.labelString:	ML Help File Directory  :",
"*MLprefs*helpdir_textfld.columns:	40",
"*MLprefs*mimedir_lbl.labelString:	ML Setup Directory      :",
"*MLprefs*mimedir_textfld.columns:	40",
"*MLprefs*savebox_lbl.labelString:	Default Copy Mailbox    :",
"*MLprefs*savebox_textfld.columns:	40",
"*MLprefs*sendlog_lbl.labelString:	Outgoing Message Log    :",
"*MLprefs*sendlog_textfld.columns:	40",
"*MLprefs*defcc_lbl.labelString:		Default Cc: Address     :",
"*MLprefs*defcc_textfld.columns:		40",
"*MLprefs*defbcc_lbl.labelString:	Default Bcc: Address    :",
"*MLprefs*defbcc_textfld.columns:	40",
"*MLprefs*headset_lbl.labelString:	Default Message Headers :",
"*MLprefs*headset_textfld.columns:	40",
"*MLprefs*dflact_lbl.labelString:	Default Action Command  :",
"*MLprefs*dflact_textfld.columns:	40",
"*MLprefs*urlcomm_lbl.labelString:	URL View Program        :",
"*MLprefs*urlcomm_textfld.columns:	40",
"*MLprefs*prefix_lbl.labelString:	Inserted Reply Prefix   :",
"*MLprefs*prefix_textfld.columns:	40",
"*MLprefs*check_lbl.labelString:		New Mail Check (Seconds)     :",
"*MLprefs*check_textfld.columns:		10",
"*MLprefs*notesave_lbl.labelString:	Notebook Save  (Seconds)     :",
"*MLprefs*notesave_textfld.columns:	10",
"*MLprefs*imapport_lbl.labelString:	Server Port (if not 143)     :",
"*MLprefs*imapport_textfld.columns:	10",
"*MLprefs*viewrows_lbl.labelString:	View Window List Height      :",
"*MLprefs*viewrows_textfld.columns:	10",
"*MLprefs*readrows_lbl.labelString:	Read Window Message Height   :",
"*MLprefs*readrows_textfld.columns:	10",
"*MLprefs*comprows_lbl.labelString:	Compose Window Edit Height   :",
"*MLprefs*comprows_textfld.columns:	10",
"*MLprefs*prefetch_lbl.labelString:	Background Fetch Parameters",
"*MLprefs*mailfetch_lbl.labelString:	Mail Initial Fetch Count     :",
"*MLprefs*mailfetch_textfld.columns:	10",
"*MLprefs*mailcnt_lbl.labelString:	Mail Background Fetch Count  :",
"*MLprefs*mailcnt_textfld.columns:	10",
"*MLprefs*mailtime_lbl.labelString:	Mail Fetch Interval (Seconds):",
"*MLprefs*mailtime_textfld.columns:	10",
"*MLprefs*newsfetch_lbl.labelString:	News Initial Fetch Count     :",
"*MLprefs*newsfetch_textfld.columns:	10",
"*MLprefs*newscnt_lbl.labelString:	News Background Fetch Count  :",
"*MLprefs*newscnt_textfld.columns:	10",
"*MLprefs*newstime_lbl.labelString:	News Fetch Interval (Seconds):",
"*MLprefs*newstime_textfld.columns:	10",
"*MLprefs*sorts_lbl.labelString:		Default Sort Modes",
"*MLprefs*mailsort_lbl.labelString:	Default Mail Sort Order      :",
"*MLprefs*mailsort_textfld.columns:	10",
"*MLprefs*newssort_lbl.labelString:	Default News Sort Order      :",
"*MLprefs*newssort_textfld.columns:	10",
"*MLprefs*toggles_lbl.labelString:	Toggle Options",
"*MLprefs*aopen_lbl.labelString:		Open Mailbox on Startup      :",
"*MLprefs*aopen_textfld.columns:		10",
"*MLprefs*tearoff_lbl.labelString:	Enable 'Tear Off' Menus      :",
"*MLprefs*tearoff_textfld.columns:	10",
"*MLprefs*mdebug_lbl.labelString:	Watch Delivery Happen        :",
"*MLprefs*mdebug_textfld.columns:	10",
"*MLprefs*mimeask_lbl.labelString:	Verify Attachment Viewers    :",
"*MLprefs*mimeask_textfld.columns:	10",
"*MLprefs*logall_lbl.labelString:	Log Outgoing Attachments     :",
"*MLprefs*logall_textfld.columns:	10",
"*MLprefs*decodeall_lbl.labelString:	Decode All Charsets          :",
"*MLprefs*decodeall_textfld.columns:	10",
"*MLprefs*send8_lbl.labelString:		8-bit International Transport:",
"*MLprefs*send8_textfld.columns:		10",
"*MLprefs*alertnew_lbl.labelString:	New Message Alert            :",
"*MLprefs*alertnew_textfld.columns:	10",
"*MLprefs*hideview_lbl.labelString:	Hide Empty Filters           :",
"*MLprefs*hideview_textfld.columns:	10",
"*MLbutton.title:			Button Editor",
"*MLbutton.iconName:			Buttons",
"*MLbutton*visibleItemCount:		24",
"*MLbutton*name_lbl.labelString:		Name    :",
"*MLbutton*name_textfld.columns:		20",
"*MLbutton*func_lbl.labelString:		Function:",
"*MLbutton*func_textfld.columns:		20",
"*MLbutton*add.labelString:		Add Button",
"*MLbutton*add.mnemonic:			A",
"*MLbutton*remove.labelString:		Remove Button",
"*MLbutton*remove.mnemonic:		R",
"*MLbutton*modify.labelString:		Modify Button",
"*MLbutton*modify.mnemonic:		M",
"*MLbutton*window_menu.labelString:	Window",
"*MLbutton*window_menu.mnemonic:		W",
"*MLbutton*viewwin.labelString:		View Window",
"*MLbutton*viewwin.mnemonic:		V",
"*MLbutton*readwin.labelString:		Read Window",
"*MLbutton*readwin.mnemonic:		R",
"*MLbutton*composewin.labelString:	Compose Window",
"*MLbutton*composewin.mnemonic:		C",
"*MLbutton*mailboxwin.labelString:	Mailboxes Window",
"*MLbutton*mailboxwin.mnemonic:		M",
"*MLbutton*moveup.labelString:		Up",
"*MLbutton*moveup.mnemonic:		U",
"*MLbutton*movedown.labelString:		Down",
"*MLbutton*movedown.mnemonic:		D",
"*mailboxlist_shell.title:		Mailboxes",
"*mailboxlist_shell.iconName:		Waiting!!",
"*mailboxlist_server_lbl.labelString:	Server  :",
"*mailboxlist_server_textfld.columns:	32",
"*mailboxlist_pattern_lbl.labelString:	Pattern :",
"*mailboxlist_pattern_textfld.columns:	32",
"*mailboxlist_mailbox_lbl.labelString:	Mailbox :",
"*mailboxlist_mailbox_textfld.columns:	32",
"*mailboxlist_list.visibleItemCount:	15",
"*mailboxlist_subscribe_menu.labelString:	Subscribe",
"*mailboxlist_subscribe_menu.mnemonic:	S",
"*mailboxlist_create.labelString:	New Mailbox",
"*mailboxlist_create.mnemonic:		N",
"*mailboxlist_create.accelerator:	Ctrl<Key>n",
"*mailboxlist_create.acceleratorText:	CTRL-N",
"*mailboxlist_delete.labelString:	Kill Mailbox",
"*mailboxlist_delete.mnemonic:		K",
"*mailboxlist_delete.accelerator:	Shift Alt<Key>t",
"*mailboxlist_delete.acceleratorText:	^ALT-T",
"*mailboxlist_rename.labelString:	Rename Mailbox",
"*mailboxlist_rename.mnemonic:		R",
"*mailboxlist_create_only.labelString:	Create Only",
"*mailboxlist_create_only.mnemonic:	C",
"*mailboxlist_delete_only.labelString:	Delete Only",
"*mailboxlist_delete_only.mnemonic:	D",
"*mailboxlist_subscribe_only.labelString:	Subscribe Only",
"*mailboxlist_subscribe_only.mnemonic:	S",
"*mailboxlist_unsubscribe_only.labelString:	Unsubscribe Only",
"*mailboxlist_unsubscribe_only.mnemonic:	U",
"*mailboxlist_option_menu.labelString:	Option",
"*mailboxlist_option_menu.mnemonic:	O",
"*mailboxlist_mail.labelString:		Show Mailboxes",
"*mailboxlist_mail.mnemonic:		M",
"*mailboxlist_news.labelString:		Show Newsgroups",
"*mailboxlist_news.mnemonic:		N",
"*mailboxlist_everything.labelString:	Show All Mailboxes",
"*mailboxlist_everything.mnemonic:	A",
"*mailboxlist_subscribed.labelString:	Show Subscribed Only",
"*mailboxlist_subscribed.mnemonic:	S",
"*mailboxlist_accept.labelString:	Accept",
"*mailboxlist_accept.mnemonic:		A",
"*mailboxlist_cancel.labelString:	Cancel",
"*mailboxlist_cancel.mnemonic:		C",
"*mailboxlist_option_menu.labelString:	Option",
"*mailboxlist_option_menu.mnemonic:	O",
"*mailboxlist_HELP.labelString:		Help",
"*mailboxlist_HELP.mnemonic:		H",
"*dir_write_shell.title:			Write To File",
"*dir_write_shell.iconName:		Waiting!!",
"*dir_read_shell.title:			Read From File",
"*dir_read_shell.iconName:		Waiting!!",
"*dir_directory_lbl.labelString:		Directory :",
"*dir_directory_textfld.columns:		40",
"*dir_pattern_lbl.labelString:		Pattern   :",
"*dir_pattern_textfld.columns:		40",
"*dir_filename_lbl.labelString:		Filename  :",
"*dir_filename_textfld.columns:		40",
"*dir_directories_lbl.labelString:	Directories:",
"*dir_files_lbl.labelString:		Files:",
"*dir_dirlist.visibleItemCount:		15",
"*dir_filelist.visibleItemCount:		15",
"*dir_accept.labelString:		Accept",
"*dir_accept.mnemonic:			A",
"*dir_cancel.labelString:		Cancel",
"*dir_cancel.mnemonic:			C",
"*dir_option_menu.labelString:		Option",
"*dir_option_menu.mnemonic:		O",
"*dir_hide_dot.labelString:		Hide Dot Files",
"*dir_hide_dot.mnemonic:			H",
"*dir_show_dot.labelString:		Show Dot Files",
"*dir_show_dot.mnemonic:			S",
"*dir_HELP.labelString:			Help",
"*dir_HELP.mnemonic:			H",
"*append_shell.title:		File Options",
"*append_shell.iconName:		Waiting!!",
"*append_cancel.labelString:	Cancel",
"*append_cancel.mnemonic:	C",
"*append_overwrite.labelString:	Overwrite",
"*append_overwrite.mnemonic:	O",
"*append_append.labelString:	Append",
"*append_append.mnemonic:	A",
"*append_HELP.labelString:	Help",
"*append_HELP.mnemonic:		H",
"*append_lbl.labelString:	File exists. Please choose option.",
"*keyword_shell.title:		Keywords",
"*keyword_shell.iconName:	Waiting!!",
"*keyword_accept.labelString:	Accept",
"*keyword_accept.mnemonic:	A",
"*keyword_cancel.labelString:	Cancel",
"*keyword_cancel.mnemonic:	C",
"*keyword_HELP.labelString:	Help",
"*keyword_HELP.mnemonic:		H",
"*authenticate_shell.title:		Authenticate",
"*authenticate_shell.iconName:		Waiting!!",
"*authenticate_name_lbl.labelString:	Username :",
"*authenticate_name_textfld.columns:	32",
"*authenticate_pass_lbl.labelString:	Password :",
"*authenticate_pass_textfld.columns:	32",
"*login_done.labelString:		Accept",
"*login_done.mnomenic:			A",
"*login_abort.labelString:		Cancel",
"*login_abort.mnomenic:		C",
"*login_HELP.labelString:		Help",
"*login_HELP.mnomenic:			H",
"*text_input_shell.title:		Text Input",
"*text_input.iconName:			Waiting!!",
"*text_input_lbl.labelString:		Input:",
"*text_input_textfld.columns:		32",
"*text_input_accept.labelString:	Accept",
"*text_input_accept.mnemonic:		A",
"*text_input_cancel.labelString:	Cancel",
"*text_input_cancel.mnemonic:		C",
"*text_input_HELP.labelString:		Help",
"*text_input_HELP.mnemonic:		H",
"*spell_shell.title:			Spell Checker",
"*spell_shell.iconName:			Spell",
"*spell_search_button.labelString:	Search",
"*spell_replace_button.labelString:	Replace",
"*spell_word_lbl.labelString:		Unknown Word:",
"*spell_word_textfld.columns:		32",
"*spell_replace_lbl.labelString:		Correction  :",
"*spell_replace_textfld.columns:		32",
"*spell_next.labelString:		Next",
"*spell_next.mnemonic:			N",
"*spell_cancel.labelString:		Cancel",
"*spell_cancel.mnemonic:			C",
"*spell_remember.labelString:		Remember",
"*spell_remember.mnemonic:		R",
"*spell_HELP.labelString:		Help",
"*spell_HELP.mnemonic:			H",
"*search_shell.title:			Search",
"*search_shell.iconName:			Search",
"*search_search.labelString:		Search",
"*search_search.mnemonic:		S",
"*search_replace.labelString:		Replace",
"*search_replace.mnemonic:		R",
"*search_cancel.labelString:		Cancel",
"*search_cancel.mnemonic:		C",
"*search_HELP.labelString:		Help",
"*search_HELP.mnemonic:			H",
"*search_word_lbl.labelString:		Search :",
"*search_word_textfld.rows:		20",
"*search_replace_word_lbl.labelString:	Replace:",
"*search_replace_word_textfld.rows:	20",
"*attachtype_shell.title:			Attachment Type",
"*attachtype_shell.iconName:			Waiting!!",
"*attachtype_description_lbl.labelString:	Description  :",
"*attachtype_description_textfld.columns:	32",
"*attachtype_type_lbl.labelString:		Type/Subtype :",
"*attachtype_type_textfld.columns:		32",
"*attachtype_list.visibleItemCount:		10",
"*attachtype_accept.labelString:			Accept",
"*attachtype_accept.mnemonic:			A",
"*attachtype_cancel.labelString:			Cancel",
"*attachtype_cancel.mnemonic:			C",
"*attachtype_HELP.labelString:			Help",
"*attachtype_HELP.mnemonic:			H",
"*mimecompose_shell.title:			Compose Attachment",
"*mimecompose_shell.iconName:			Waiting!!",
"*mimecompose_description_lbl.labelString:	Description  :",
"*mimecompose_description_textfld.columns:	32",
"*mimecompose_list.visibleItemCount:		10",
"*mimecompose_accept.labelString:		Accept",
"*mimecompose_accept.mnemonic:			A",
"*mimecompose_cancel.labelString:		Cancel",
"*mimecompose_cancel.mnemonic:			C",
"*mimecompose_HELP.labelString:			Help",
"*mimecompose_HELP.mnemonic:			H",
"*pgp_shell.title:			PGP Address Book",
"*pgp_shell.iconName:			Waiting!!",
"*pgp_name_lbl.labelString:		Name    :",
"*pgp_name_textfld.columns:		40",
"*pgp_list.visibleItemCount:		10",
"*pgp_accept.labelString:		Accept",
"*pgp_accept.mnemonic:			A",
"*pgp_cancel.labelString:		Cancel",
"*pgp_cancel.mnemonic:			C",
"*pgp_reset.labelString:			Reset",
"*pgp_reset.mnemonic:			R",
"*pgp_HELP.labelString:			Help",
"*pgp_HELP.mnemonic:			H",
"ML*bargraph_shell.title:		Loading Messages",
"*confirm_shell.title:		Confirm",
"*confirm_shell.iconName:	Waiting!!",
"*confirm_ok.labelString:	OK",
"*confirm_ok.mnemonic:		O",
"*confirm_cancel.labelString:	Cancel",
"*confirm_cancel.mnemonic:	C",
"*helpwin.title:			Help Window",
"*helpwin.iconName:		Help",
"*helpwin*text.rows:		16",
"*helpwin*text.columns:		80",
"*helpwin*XmScrollBar.width:	15",
"*helpwin*XmScrollBar.height:	15",
"*textwin.title:			Text Window",
"*textwin.iconName:		Text",
"*textwin*text.rows:		16",
"*textwin*text.columns:		80",
"*textwin*XmScrollBar.width:	15",
"*textwin*XmScrollBar.height:	15",
NULL,
};
#endif
